﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub DUT RS-232 Connection USB
DATE:                  2017-09-27 14:27:38
AUTHOR:                Fluke
REVISION:              $Revision: 21123 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       103
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
# Example Usage:
#
#        MATH         @InterfaceAdapter = "IRDA, Optical to USB Cable"
#        CALL         Sub DUT RS-232 Connection USB
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           ISVAR("@InterfaceAdapter")
  1.002  MATH         Adapter = @InterfaceAdapter
  1.003  ELSE
  1.004  MATH         Adapter = "USB to RS-232 adapter"
  1.005  ENDIF

  1.006  HEAD         -2 Identifying COM port assigned to [V Adapter]...

  1.007  IF           ISVAR("@USB_SerialTimeout")
  1.008  MATH         Timeout = @USB_SerialTimeout
  1.009  ELSE
  1.010  MATH         Timeout = 60
  1.011  ENDIF

  1.012  DO
  1.013  DISP         Disconnect [V Adapter] from PC, if currently connected.
  1.014  WAIT         -t 5 Waiting for Windows COM list to update...
# Get list of COM ports w/o USB cable/adapter inserted.
  1.015  MATH         List1 = COMLIST()
  1.016  DISP         Plug the [V Adapter] into the PC.
  1.017  MATH         ElapsedSec = 0

  1.018  DO
# Get list of COM ports w/Plug-n-Play adapter.
  1.019  MATH         List2 = COMLIST()
  1.020  MATH         Field = 1

  1.021  DO
  1.022  MATH         Port1 = FLD(List1, Field, ",")
  1.023  MATH         Port2 = FLD(List2, Field, ",")
  1.024  MATH         FoundAdapter = NOT(ZCMPI(Port2, Port1))
  1.025  MATH         Field = Field + 1
  1.026  UNTIL        FoundAdapter || EMPTY(Port1)

  1.027  WAIT         [D1000]
  1.028  MATH         ElapsedSec = ElapsedSec + 1
  1.029  UNTIL        FoundAdapter || (ElapsedSec > Timeout)

  1.030  IF           FoundAdapter
  1.031  VSET         PORT = [V Port2]
  1.032  MATH         @Port = Port2
  1.033  ELSE
  1.034  DISP         No new COM port was found [V ElapsedSec] s after
  1.034  DISP         [V Adapter] was plugged into PC.
  1.034  DISP
  1.034  DISP         MET/CAL only supports COM1 through COM16.
  1.034  DISP         Windows may have assigned a COM port in the range
  1.034  DISP         COM17 to COM256.
  1.034  DISP
  1.034  DISP         1. Open the Windows Device Manager.
  1.034  DISP         2. Expand the tree view for "Ports (COM & LPT)".
  1.034  DISP         3. Right click on the port assigned to the USB Serial
  1.034  DISP         [32]  adapter/cable just inserted.
  1.034  DISP         4. Select "Properties".
  1.034  DISP         5. Select "Port Settings".
  1.034  DISP         6. Select "Advanced".
  1.034  DISP         7. Set "COM Port Number" to a value less than COM17.
  1.034  DISP
  1.034  DISP         Select "Advance" to try again.
  1.035  MATH         @Port = ""
  1.036  ENDIF

  1.037  UNTIL        NOT(Empty(@Port))

  1.038  HEAD         -2
  1.039  END
