﻿Copyright (c) 2019 Fluke Corporation                        MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 190II (1 yr) A Time Base VER RS-232 /O_CAL
DATE:                  2019-03-06 11:23:36
AUTHOR:                Fluke
REVISION:              $Revision: 26644 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       88
CONFIGURATION:         Fluke Ocal
=============================================================================
#
#  Procedure Author:
#        VY, CAD, DAC
#
#  Models covered:
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504, 190-502
#        Tektronix THS3000 Series Oscilloscopes
#        THS3014, THS3024
#
#  Source:
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504
#        Service Manual February 2013, Rev.2, 2/15
#
#  Compatibility:
#        MET/CAL 8.2 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {TIME BASE ACCURACY}
  1.003  MATH         @Input = @Chan; @DC_Coupling = 1

  1.004  IF           @THS3000Series
  1.005  MATH         @BW_Setup = "FULL BW"
  1.006  ELSE
  1.007  MATH         @BW_Setup = "20 MHz"
  1.008  ENDIF

  1.009  HEAD         -2 10 µs/div
  1.010  MATH         @HPos     = "7990 us"
  1.011  TARGET
# Note, "Sub Fluke 190II Setup Scope Channels RS-232" sets:
#  @Range    = "Auto"
#  @Timebase = "Auto"
  1.012  CALL         Sub Fluke 190II Setup Scope Channels RS-232
  1.013  JMPL         END                          @Abort
  1.014  CALL         Sub Fluke ScopeMeter Select Scope Channel RS-232
  1.015  JMPL         END                          @Abort
  1.016  MATH         @Range    = "500 mV/div"
  1.017  CALL         Sub Fluke 190II Setup Scope Range RS-232
  1.018  JMPL         END                          @Abort
  1.019  MATH         @Timebase = "10 us/div"
  1.020  CALL         Sub Fluke 190II Setup Scope Timebase & Pos RS-232
  1.021  JMPL         END                          @Abort
  1.022  DISP         Connect the Calibrator SCOPE output to DUT A input
  1.022  DISP         using a 50 Ω feedthrough terminator.
  1.023  O_CAL        Mode = Marker
  1.023  O_CAL        +Period = 8 ms
# Make the trigger delay setting displayed in the screen.
  1.024  CALL         Sub Fluke ScopeMeter Press TRIGGER 4 Ch RS-232
  1.025  JMPL         END                          @Abort
  1.026  CALL         Sub Fluke ScopeMeter Press Cursor Left RS-232
  1.027  JMPL         END                          @Abort
  1.028  CALL         Sub Fluke ScopeMeter Press Cursor Right RS-232
  1.029  JMPL         END                          @Abort
  1.030  PICE         -s " 10 µs/div" : 190II_tb_10us.png

  2.001  LABEL        END
  2.002  HEAD         -2
  2.003  HEAD
  2.004  O_CAL        Standby
  2.005  END
