﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 190II (1 yr) A Video VER RS-232 /O_CAL+VID
DATE:                  2018-01-16 11:16:27
AUTHOR:                Fluke
REVISION:              $Revision: 22204 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       10
NUMBER OF LINES:       263
CONFIGURATION:         Fluke Ocal (VID)
=============================================================================
#
#  Procedure Author:
#        VY, CAD, DAC
#
#  Models covered:
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504, 190-502
#        Tektronix THS3000 Series Oscilloscopes
#        THS3014, THS3024
#
#  Source:
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504
#        Service Manual February 2013, Rev.2, 2/15
#
#  Compatibility:
#        MET/CAL 8.2 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Set measurement delay to 3 seconds.
  1.001  MATH         @Wait = 3
  1.002  MATH         @Input = @Chan

  1.003  RSLT         =
  1.004  HEAD         {VIDEO}
  1.005  MATH         @DC_Coupling = 1
  1.006  MATH         @BW_Setup    = "FULL BW"
  1.007  MATH         @HPos        = "1 div"
  1.008  TARGET
# Note, "Sub Fluke 190II Setup Scope Channels RS-232" sets @Timebase = "Auto".
  1.009  CALL         Sub Fluke 190II Setup Scope Channels RS-232
  1.010  JMPL         END                          @Abort
  1.011  CALL         Sub Fluke ScopeMeter Select Scope Channel RS-232
  1.012  JMPL         END                          @Abort
  1.013  MATH         @Timebase = "20 us/div"
  1.014  CALL         Sub Fluke 190II Setup Scope Timebase & Pos RS-232
  1.015  JMPL         END                          @Abort
# A: 2V/div, Manual, Video on A, +NTSC, line 525, Trigger Pos 1 div
  1.016  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  1.017  JMPL         END                          @Abort
# Cannot use OTERM.  Statement too long.
  1.018  PORT         [OTERM NONE]
  1.019  PORT         #0[32][11][0][1][3][3][32][13][0][2][0][0][0][32][14][0][5][0][0][0][16][255][15][32][35][0][2][128][3][131][32][100][0][1][1][1][32][103][0][2][2][10][12][32][105][0][2][0][0][0][32][106][0][7][1][128][1][2]
  1.019  PORT         [13][2][0][147][32][107][0][8][192][2][0][0][0][0][8][251][197][32][109][0][1][128][128][32][115][0][1][0][0][32][140][0][3][2][45][9][56][32][70][0][7][128][1][0][0][0][0][0][129][160][71][0][2][0][55][55][13]
  1.020  PORT         [OTERM CR]
  1.021  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232

# Initalize variables for identifying which video formats have been tested.
  1.022  MATH         Tested_SECAM = 0
  1.023  MATH         Tested_PAL   = 0
  1.024  MATH         Tested_NTSC  = 0

  1.025  DO
# Present list box to facilitate video format test selection.
  1.026  MATH         Id = LBNEW("Video Format Test Selection")
  1.027  MATH         LBCONF(Id, "+selreq")
  1.028  MATH         LBTEXT(Id, "It is only necessary to test one video")
  1.029  MATH         LBTEXT(Id, "format to verify proper instrument")
  1.030  MATH         LBTEXT(Id, "operation.")
  1.031  MATH         LBTEXT(Id, "")
  1.032  MATH         LBTEXT(Id, "NOTE: the NTSC video format is most")
  1.033  MATH         LBTEXT(Id, "commonly used in the United States.")
  1.034  MATH         LBTEXT(Id, "")
  1.035  MATH         LBTEXT(Id, "Select the video format to be tested:")

# Only add a video format to the selection list if it has not already been
# tested.
  1.036  IF           NOT(Tested_SECAM)
  1.037  MATH         LBADD(Id, "SECAM")
  1.038  ENDIF

  1.039  IF           NOT(Tested_PAL)
  1.040  MATH         LBADD(Id, "PAL")
  1.041  ENDIF

  1.042  IF           NOT(Tested_NTSC)
  1.043  MATH         LBADD(Id, "NTSC")
  1.044  ENDIF

# Display list box and store selection.
  1.045  MATH         LBSHOW(Id)
  1.046  MATH         Format = LBGETSEL(Id, 1)

  1.047  IF           ZCMPI(Format, "SECAM")
  1.048  RSLT         =
  1.049  HEAD         -2{SECAM Line 622}: Positive
  1.050  TARGET
  1.051  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  1.052  JMPL         END                          @Abort
  1.053  PORT         #0[160][106][0][7][1][128][1][2][110][3][0][245]
  1.054  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  1.055  JMPL         END                          @Abort
  1.056  O_CAL        Mode = Video; Format = SECAM
  1.056  O_CAL        +Amplitude = +100 %; LineMarker = 622
  1.057  MATH         @Cmd = "QM 74"
  1.058  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  1.059  JMPL         END                          @Abort
  1.060  EVAL   -e (MEM > 6) : Positive Trigger

  2.001  RSLT         =
  2.002  HEAD         -2{SECAM Line 310}: Positive
  2.003  TARGET
  2.004  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.005  JMPL         END                          @Abort
  2.006  PORT         #0[160][106][0][7][1][128][1][1][54][3][0][188]
  2.007  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.008  JMPL         END                          @Abort
  2.009  O_CAL        Mode = Video; Format = SECAM
  2.009  O_CAL        +Amplitude = +100 %; LineMarker = 310
  2.010  MATH         @Cmd = "QM 74"
  2.011  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  2.012  JMPL         END                          @Abort
  2.013  EVAL   -e (MEM > 6) : Positive Trigger

  3.001  HEAD         -2 SECAM Line 310: Negative
  3.002  TARGET
  3.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  3.004  JMPL         END                          @Abort
  3.005  PORT         #0[160][106][0][7][1][0][1][1][54][3][0][60]
  3.006  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  3.007  JMPL         END                          @Abort
  3.008  O_CAL        Mode = Video; Format = SECAM
  3.008  O_CAL        +Amplitude = -100 %; LineMarker = 310
  3.009  MATH         @Cmd = "QM 74"
  3.010  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  3.011  JMPL         END                          @Abort
  3.012  EVAL   -e (MEM <= -6) : Negative Trigger

  4.001  MATH         Tested_SECAM = 1

  4.002  ELSEIF       ZCMPI(Format, "PAL")
  4.003  RSLT         =
  4.004  HEAD         -2{PAL Line 622}: Positive
  4.005  TARGET
  4.006  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  4.007  JMPL         END                          @Abort
  4.008  PORT         #0[160][106][0][7][1][128][1][2][110][0][0][242]
  4.009  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  4.010  JMPL         END                          @Abort
  4.011  O_CAL        Mode = Video; Format = PAL
  4.011  O_CAL        +Amplitude = +100 %; LineMarker = 622
  4.012  MATH         @Cmd = "QM 74"
  4.013  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  4.014  JMPL         END                          @Abort
  4.015  EVAL   -e (MEM > 6) : Positive Trigger

  5.001  RSLT         =
  5.002  HEAD         -2{PAL Line 310}: Positive
  5.003  TARGET
  5.004  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  5.005  JMPL         END                          @Abort
  5.006  PORT         #0[160][106][0][7][1][128][1][1][54][0][0][185]
  5.007  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  5.008  JMPL         END                          @Abort
  5.009  O_CAL        Mode = Video; Format = PAL
  5.009  O_CAL        +Amplitude = +100 %; LineMarker = 310
  5.010  MATH         @Cmd = "QM 74"
  5.011  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  5.012  JMPL         END                          @Abort
  5.013  EVAL   -e (MEM > 6) : Positive Trigger

  6.001  HEAD         -2 PAL Line 310: Negative
  6.002  TARGET
  6.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  6.004  JMPL         END                          @Abort
  6.005  PORT         #0[160][106][0][7][1][0][1][1][54][0][0][57]
  6.006  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  6.007  JMPL         END                          @Abort
  6.008  O_CAL        Mode = Video; Format = PAL
  6.008  O_CAL        +Amplitude = -100 %; LineMarker = 310
  6.009  MATH         @Cmd = "QM 74"
  6.010  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  6.011  JMPL         END                          @Abort
  6.012  EVAL   -e (MEM <= -6) : Negative Trigger

  7.001  MATH         Tested_PAL = 1

  7.002  ELSE         ; ZCMPI(Format, "NTSC")
  7.003  RSLT         =
  7.004  HEAD         -2{NTSC Line 525}: Positive
  7.005  TARGET
  7.006  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  7.007  JMPL         END                          @Abort
  7.008  PORT         #0[160][106][0][7][1][128][1][2][13][2][0][147]
  7.009  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  7.010  JMPL         END                          @Abort
  7.011  O_CAL        Mode = Video; Format = NTSC; Field = Even
  7.011  O_CAL        +Amplitude = +100 %; LineMarker = 262
  7.012  MATH         @Cmd = "QM 74"
  7.013  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  7.014  JMPL         END                          @Abort
  7.015  EVAL   -e (MEM > 6) : Positive Trigger

  8.001  RSLT         =
  8.002  HEAD         -2{NTSC Line 262}: Positive
  8.003  TARGET
  8.004  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  8.005  JMPL         END                          @Abort
  8.006  PORT         #0[160][106][0][7][1][128][1][1][6][2][0][139]
  8.007  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  8.008  JMPL         END                          @Abort
  8.009  O_CAL        Mode = Video; Format = NTSC; Field = Odd
  8.009  O_CAL        +Amplitude = +100 %; LineMarker = 262
  8.010  MATH         @Cmd = "QM 74"
  8.011  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  8.012  EVAL   -e (MEM > 6) : Positive Trigger

  9.001  HEAD         -2 NTSC Line 262: Negative
  9.002  TARGET
  9.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  9.004  JMPL         END                          @Abort
  9.005  PORT         #0[160][106][0][7][1][0][1][1][6][2][0][11]
  9.006  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  9.007  JMPL         END                          @Abort
  9.008  O_CAL        Mode = Video; Format = NTSC; Field = Odd
  9.008  O_CAL        +Amplitude = -100 %; LineMarker = 262
  9.009  MATH         @Cmd = "QM 74"
  9.010  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  9.011  JMPL         END                          @Abort
  9.012  EVAL   -e (MEM <= -6) : Negative Trigger

 10.001  MATH         Tested_NTSC = 1
 10.002  ENDIF

 10.003  HEAD         -2
 10.004  O_CAL        Standby
 10.005  MATH         Tested_All = (Tested_SECAM && Tested_PAL && Tested_NTSC)

 10.006  IF           NOT(Tested_All)
 10.007  OPBR         -z Would you like to test another video format?[NO]
 10.008  ENDIF

 10.009  LABEL        END_DO_UNTIL
 10.010  UNTIL        NOT(MEM1) || Tested_All

 10.011  LABEL        END
 10.012  HEAD
 10.013  END
