﻿Copyright (c) 2019 Fluke Corporation                        MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 190II (1 yr) Freq Meas VER RS-232 /O_CAL+WG
INSTRUMENT:            Sub Fluke 190II (1 yr) Phase Meas VER RS-232 /O_CAL+WG
DATE:                  2019-03-06 13:32:00
AUTHOR:                Fluke
REVISION:              $Revision: 26644 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       8
NUMBER OF LINES:       263
CONFIGURATION:         Fluke Ocal (WG)
=============================================================================
#
#  Procedure Author:
#        VY, CAD, DAC
#
#  Models covered:
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504, 190-502
#        Tektronix THS3000 Series Oscilloscopes
#        THS3014, THS3024
#
#  Source:
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504
#        Service Manual February 2013, Rev.2, 2/15
#
#  Compatibility:
#        MET/CAL 8.2 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Set measurement delay to 3 seconds.
  1.001  MATH         @Wait = 3

  1.002  IF           ZCMP(@Chan, "A")
  1.003  MATH         QueryCmd = "QM 11"; ChKeyCmd = "KY 11"
  1.004  ELSEIF       ZCMP(@Chan, "B")
  1.005  MATH         QueryCmd = "QM 21"; ChKeyCmd = "KY 18"
  1.006  ELSEIF       ZCMP(@Chan, "C")
  1.007  MATH         QueryCmd = "QM 31"; ChKeyCmd = "KY 19"
  1.008  ELSEIF       ZCMP(@Chan, "D")
  1.009  MATH         QueryCmd = "QM 41"; ChKeyCmd = "KY 20"
  1.010  ELSE
  1.011  DISP         @Chan must be A, B, C, or D!
  1.012  END
  1.013  ENDIF

  1.014  IF           @NumChan > 2
  1.015  MATH         @Input = "A&B&C&D"
  1.016  ELSE
  1.017  MATH         @Input = "A&B"
  1.018  ENDIF

  1.019  JMPL         FREQUENCY                    PSUB("Freq Meas")
  1.020  JMPL         PHASE                        PSUB("Phase Meas")
  1.021  DISP         Called subprocedure not found!
  1.022  END

  1.023  EVAL   Increment Test Number

# =====  Sub Fluke 190II (1 yr) Freq Meas VER RS-232 /O_CAL  ================

  2.001  LABEL        FREQUENCY

  2.002  IF           ZCMP(@Chan, "A")
  2.003  RSLT         =
  2.004  RSLT         =FREQUENCY MEASUREMENT ACCURACY
  2.005  ENDIF

  2.006  RSLT         =
  2.007  HEAD         FREQUENCY MEASUREMENT ACCURACY: {INPUT [V @Chan]}

  2.008  IF           ZCMP(@Chan, "A")
  2.009  MATH         @DC_Coupling = 1
  2.010  MATH         @BW_Setup    = "FULL BW"
  2.011  MATH         @HPos        = "2 div"
  2.012  MATH         @Reading     = "Frequency"
  2.013  ENDIF

  2.014  TARGET       -p

# Note, "Sub Fluke 190II Setup Scope Channels RS-232" sets:
#  @Range    = "Auto"
#  @Timebase = "Auto"
  2.015  CALL         Sub Fluke 190II Setup Scope Channels RS-232
  2.016  JMPL         END                          @Abort
  2.017  CALL         Sub Fluke 190II Setup Scope Reading RS-232
  2.018  JMPL         END                          @Abort

  2.019  IF           ZCMP(@Chan, "A")

  2.020  IF           @NumChan > 2
  2.021  DISP         Connect the Calibrator SCOPE output to DUT A, B, C,
  2.021  DISP         and D inputs using 3 BNC tees and short BNC
  2.021  DISP         cables.
  2.021  DISP
  2.021  DISP         Do not use a 50 Ω termintor.
  2.022  DISP         The next routine operator intervention will occur
  2.022  DISP         in approximately 4 minutes...
  2.022  DISP
  2.022  DISP         Note: The time estimate assumes that the procedure
  2.022  DISP         default values for NTHROW and NMEAS are being used. Any
  2.022  DISP         changes made to your workstation configuration may
  2.022  DISP         affect the time interval between connection changes.

  2.023  ELSE
  2.024  DISP         Connect the Calibrator SCOPE output to DUT A and B
  2.024  DISP         inputs using a BNC tee and short BNC cables.
  2.024  DISP
  2.024  DISP         Do not use a 50 Ω termintor.
  2.025  DISP         The next routine operator intervention will occur
  2.025  DISP         in approximately 2 minutes...
  2.025  DISP
  2.025  DISP         Note: The time estimate assumes that the procedure
  2.025  DISP         default values for NTHROW and NMEAS are being used. Any
  2.025  DISP         changes made to your workstation configuration may
  2.025  DISP         affect the time interval between connection changes.
  2.026  ENDIF

  2.027  ENDIF        ; ZCMP(@Chan, "A")

  2.028  MATH         @Cmd = ChKeyCmd
  2.029  CALL         Sub Fluke ScopeMeter Send Command RS-232
  2.030  JMPL         END                          @Abort
# Press "CLEAR" button to close the softkey menu.
  2.031  CALL         Sub Fluke ScopeMeter Press CLEAR RS-232
  2.032  JMPL         END                          @Abort
  2.033  CALL         Sub Fluke ScopeMeter Select Scope Channel RS-232
  2.034  JMPL         END                          @Abort
  2.035  MATH         @Range = "100 mV/div"
  2.036  CALL         Sub Fluke 190II Setup Scope Range RS-232
  2.037  JMPL         END                          @Abort
  2.038  MATH         @Timebase = "20 ms/div"
  2.039  CALL         Sub Fluke 190II Setup Scope Timebase & Pos RS-232
  2.040  JMPL         END                          @Abort
  2.041  O_CAL        Mode = WaveGen; Waveform = Sine; OutputImp = 1 MOhm
  2.041  O_CAL        +Frequency = 16.00 Hz; Voltage = 600 mVpp
  2.042  MATH         @Cmd = QueryCmd
  2.043  TARGET       -m
  2.044  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  2.045  JMPL         END                          @Abort
  2.046  MEMCX        16.00Hz        0.5% 0.02U    600mVpp

  3.001  O_CAL        Standby

  3.002  MATH         @Timebase = "20 ns/div"
  3.003  TARGET       -p
  3.004  CALL         Sub Fluke 190II Setup Scope Range RS-232
  3.005  JMPL         END                          @Abort
  3.006  CALL         Sub Fluke 190II Setup Scope Timebase & Pos RS-232
  3.007  JMPL         END                          @Abort

  3.008  MATH         FreqMHz = @Bandwidth / 1E+6
  3.009  O_CAL        Mode = LeveledSine
  3.009  O_CAL        +Frequency = [V FreqMHz] MHz; Voltage = 600 mVpp
  3.010  MATH         @Cmd = QueryCmd
  3.011  TARGET       -m
  3.012  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  3.013  JMPL         END                          @Abort
  3.014  MATH         MEM = MEM / 1E+6
  3.015  MEMCX        MHz            0.5% 0.2U     600mVpp

  4.001  HEAD
  4.002  O_CAL        Standby
  4.003  END

  4.004  EVAL   Increment Test Number

# =====  Sub Fluke 190II (1 yr) Phase Meas VER RS-232 /O_CAL  ===============

  5.001  LABEL        PHASE

  5.002  IF           ZCMP(@Chan, "A")
  5.003  RSLT         =
  5.004  RSLT         =PHASE MEASUREMENT
  5.005  ENDIF

  5.006  RSLT         =
  5.007  HEAD         PHASE MEASUREMENT: {INPUT [V @Chan]}

  5.008  IF           ZCMP(@Chan, "A")
  5.009  MATH         @DC_Coupling = 1
  5.010  MATH         @BW_Setup    = "FULL BW"
  5.011  MATH         @HPos        = "2 div"
  5.012  MATH         @Reading     = "Phase"
  5.013  ENDIF

  5.014  TARGET       -p

# Note, "Sub Fluke 190II Setup Scope Channels RS-232" sets:
#  @Range    = "Auto"
#  @Timebase = "Auto"
  5.015  CALL         Sub Fluke 190II Setup Scope Channels RS-232
  5.016  JMPL         END                          @Abort
  5.017  MATH         @Range = "100 mV/div"
  5.018  CALL         Sub Fluke 190II Setup Scope Range RS-232
  5.019  JMPL         END                          @Abort
  5.020  CALL         Sub Fluke 190II Setup Scope Reading RS-232
  5.021  JMPL         END                          @Abort

  5.022  MATH         @Cmd = ChKeyCmd
  5.023  CALL         Sub Fluke ScopeMeter Send Command RS-232
  5.024  JMPL         END                          @Abort
# Press "CLEAR" button to close the softkey menu.
  5.025  CALL         Sub Fluke ScopeMeter Press CLEAR RS-232
  5.026  JMPL         END                          @Abort
  5.027  MATH         @Timebase    = "20 ms/div"
  5.028  CALL         Sub Fluke 190II Setup Scope Timebase & Pos RS-232
  5.029  JMPL         END                          @Abort
  5.030  O_CAL        Mode = WaveGen; OutputImpedance = 50 Ohms
  5.030  O_CAL        +Voltage = 300 mVpp; Frequency = 10 Hz; Waveform = Sine
  5.031  ACC          0deg           0.5U
  5.032  MATH         @Cmd = QueryCmd
  5.033  TARGET       -m
  5.034  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  5.035  JMPL         END                          @Abort
  5.036  MEMCX        0deg           2U            10Hz

  6.001  MATH         @Timebase = "200 ns/div"
  6.002  TARGET       -p
  6.003  CALL         Sub Fluke 190II Setup Scope Timebase & Pos RS-232
  6.004  JMPL         END                          @Abort
  6.005  O_CAL        Mode = LeveledSine
  6.005  O_CAL        +Voltage = 300 mVpp; Frequency = 1 MHz
  6.006  ACC          0deg           0.5U
  6.007  MATH         @Cmd = QueryCmd
  6.008  TARGET       -m
  6.009  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  6.010  JMPL         END                          @Abort
  6.011  MEMCX        0deg           2U            1MHz

  7.001  MATH         @Timebase = "20 ns/div"
  7.002  TARGET       -p
  7.003  CALL         Sub Fluke 190II Setup Scope Timebase & Pos RS-232
  7.004  JMPL         END                          @Abort
  7.005  O_CAL        Mode = LeveledSine
  7.005  O_CAL        +Voltage = 300 mVpp; Frequency = 10 MHz
  7.006  ACC          0deg           0.5U
  7.007  MATH         @Cmd = QueryCmd
  7.008  TARGET       -m
  7.009  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  7.010  JMPL         END                          @Abort
  7.011  MEMCX        0deg           3U            10MHz

  8.001  LABEL        END
  8.002  HEAD         -2
  8.003  HEAD
  8.004  O_CAL        Standby
  8.005  END
