﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 190II 4Ch (1yr) VER RS-232 /5502,O_CAL+VID+WG
DATE:                  2018-01-25 07:32:47
AUTHOR:                Fluke
REVISION:              $Revision: 22286 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       270
CONFIGURATION:         Fluke 5502A
CONFIGURATION:         Fluke Ocal (VID,WG)
=============================================================================
#
#  Procedure Author:
#        VY, CAD, DAC
#
#  This procedure contains tests whose Test Uncertainty Ratios are less
#  than 4:1, based on 5520A (1 year) specifications.
#
#        AC VOLTAGE ACCURACY (HF) & BANDWIDTH TEST
#               900 mV @ 1 MHz;    TUR 2.0566
#
#  Source:
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504
#        Service Manual February 2013, Rev.2, 2/15
#
#        Tektronix THS3000 Series Oscilloscopes
#        Performance Verification and Adjustments
#        Technical Reference
#        077-0606-01
#
#  Compatibility:
#        MET/CAL 8.2 or later
#
#  Required Equipment:
#        Adapter, dual banana plug to BNC(f), Pomona 1269
#        Adapter, dual BNC(f) to BNC(m), Fluke PM 9093, 3 ea
#        Termination, feedthrough, BNC, 50 Ω, Fluke PM 9585
#        Cable, 50 Ω, BNC(m)-(m), Pomona 2249-C-6, 1 ea.
#        USB Type A to USB MINI Type B cable
#
#        Accessories supplied with DUT
#        - Power Adapter, 119-7900-00
#        - THS0301 Voltage Probe (200 MHz, 10:1), any color
#
# This procedure is intended for use with MET/CAL® calibration software;
# the terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  5502A        Reset
  1.003  O_CAL        Mode = WaveGen; Waveform = Sine; OutputImp = 1 MOhm
  1.003  O_CAL        +Frequency = 16.00 Hz; Voltage = 600 mVpp
  1.004  O_CAL        Mode = Video; Format = NTSC; Field = Even
  1.004  O_CAL        +Amplitude = +100 %; LineMarker = 262
  1.005  ENDIF

  1.006  ASK-   R   Q N              P                                     V

  1.007  IF           NOT(VERSIONCHECK("8.2"))
  1.008  END
  1.009  ENDIF

  1.010  CALL         Sub Display Copyright
  1.011  MATH         @Ver = 1
  1.012  MATH         @THS3000Series = ZCMP(SUB(@UUT_Model, 1, 3), "THS")
  1.013  CALL         Sub Fluke 190II Preliminary Instructions

  1.014  MATH         @HasStatusCmd   = 1
  1.015  MATH         @HasKeyPressCmd = 1

  1.016  CALL         Sub Fluke 190II Connection RS-232
  1.017  CALL         Sub Fluke ScopeMeter Identification RS-232
  1.018  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.019  JMPL         END                          @Abort
  1.020  CALL         Sub Fluke 190II Check Firmware Revision
  1.021  JMPL         END                          @Abort

  1.022  CALL         Sub High Voltage Safety Warning
  1.023  CALL         Sub Select Failed Test Mode
  1.024  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.025  HEAD         TEST CONDITIONS
  1.026  DISP         - Warm-up time requirement: 30 minutes
  1.026  DISP         - Ambient temperature:      18 °C to 28 °C.
  1.026  DISP         - Relative humidity:        less than 90 %.

  1.027  OPBR         -z Do you want to review the list of additional
  1.027  OPBR         equipment and/or accessories required?

  1.028  IF           MEM1
  1.029  CALL         Sub Fluke 190II VER Required Equipment
  1.030  ENDIF

  1.031  CALL         Sub Fluke 190II Get Bandwidth & Number of Channels
  1.032  CALL         Sub Fluke ScopeMeter Display Tests RS-232
  1.033  JMPL         END                          @Abort

  1.034  MATH         @Chan = "A"
  1.035  CALL         Sub Fluke 190II (1 yr) Vertical Acc VER RS-232 /5502
  1.036  JMPL         END                          @Abort
  1.037  MATH         @Chan = "B"
  1.038  CALL         Sub Fluke 190II (1 yr) Vertical Acc VER RS-232 /5502
  1.039  JMPL         END                          @Abort
  1.040  MATH         @Chan = "C"
  1.041  CALL         Sub Fluke 190II (1 yr) Vertical Acc VER RS-232 /5502
  1.042  JMPL         END                          @Abort
  1.043  MATH         @Chan = "D"
  1.044  CALL         Sub Fluke 190II (1 yr) Vertical Acc VER RS-232 /5502
  1.045  JMPL         END                          @Abort

  1.046  MATH         @Chan = "A"
  1.047  CALL         Sub Fluke 190II (1 yr) DCV Acc VER RS-232 /5502
  1.048  JMPL         END                          @Abort
  1.049  MATH         @Chan = "B"
  1.050  CALL         Sub Fluke 190II (1 yr) DCV Acc VER RS-232 /5502
  1.051  JMPL         END                          @Abort
  1.052  MATH         @Chan = "C"
  1.053  CALL         Sub Fluke 190II (1 yr) DCV Acc VER RS-232 /5502
  1.054  JMPL         END                          @Abort
  1.055  MATH         @Chan = "D"
  1.056  CALL         Sub Fluke 190II (1 yr) DCV Acc VER RS-232 /5502
  1.057  JMPL         END                          @Abort

  1.058  MATH         @Chan = "A"
  1.059  CALL         Sub Fluke 190II (1 yr) ACV DC Coup Acc VER RS-232 /5502
  1.060  JMPL         END                          @Abort
  1.061  MATH         @Chan = "B"
  1.062  CALL         Sub Fluke 190II (1 yr) ACV DC Coup Acc VER RS-232 /5502
  1.063  JMPL         END                          @Abort
  1.064  MATH         @Chan = "C"
  1.065  CALL         Sub Fluke 190II (1 yr) ACV DC Coup Acc VER RS-232 /5502
  1.066  JMPL         END                          @Abort
  1.067  MATH         @Chan = "D"
  1.068  CALL         Sub Fluke 190II (1 yr) ACV DC Coup Acc VER RS-232 /5502
  1.069  JMPL         END                          @Abort

  1.070  MATH         @Chan = "A"
  1.071  CALL         Sub Fluke 190II (1 yr) ACV AC Coup Acc VER RS-232 /5502
  1.072  JMPL         END                          @Abort
  1.073  MATH         @Chan = "B"
  1.074  CALL         Sub Fluke 190II (1 yr) ACV AC Coup Acc VER RS-232 /5502
  1.075  JMPL         END                          @Abort
  1.076  MATH         @Chan = "C"
  1.077  CALL         Sub Fluke 190II (1 yr) ACV AC Coup Acc VER RS-232 /5502
  1.078  JMPL         END                          @Abort
  1.079  MATH         @Chan = "D"
  1.080  CALL         Sub Fluke 190II (1 yr) ACV AC Coup Acc VER RS-232 /5502
  1.081  JMPL         END                          @Abort

  1.082  MATH         @Chan = "A"
  1.083  CALL         Sub Fluke 190II (1 yr) V Peak Meas VER RS-232 /5502
  1.084  JMPL         END                          @Abort
  1.085  MATH         @Chan = "B"
  1.086  CALL         Sub Fluke 190II (1 yr) V Peak Meas VER RS-232 /5502
  1.087  JMPL         END                          @Abort
  1.088  MATH         @Chan = "C"
  1.089  CALL         Sub Fluke 190II (1 yr) V Peak Meas VER RS-232 /5502
  1.090  JMPL         END                          @Abort
  1.091  MATH         @Chan = "D"
  1.092  CALL         Sub Fluke 190II (1 yr) V Peak Meas VER RS-232 /5502
  1.093  JMPL         END                          @Abort

  1.094  MATH         @Chan = "A"
  1.095  CALL         Sub Fluke 190II (1 yr) Freq Meas VER RS-232 /O_CAL+WG
  1.096  JMPL         END                          @Abort
  1.097  MATH         @Chan = "B"
  1.098  CALL         Sub Fluke 190II (1 yr) Freq Meas VER RS-232 /O_CAL+WG
  1.099  JMPL         END                          @Abort
  1.100  MATH         @Chan = "C"
  1.101  CALL         Sub Fluke 190II (1 yr) Freq Meas VER RS-232 /O_CAL+WG
  1.102  JMPL         END                          @Abort
  1.103  MATH         @Chan = "D"
  1.104  CALL         Sub Fluke 190II (1 yr) Freq Meas VER RS-232 /O_CAL+WG
  1.105  JMPL         END                          @Abort

  1.106  MATH         @Chan = "A"
  1.107  CALL         Sub Fluke 190II (1 yr) Phase Meas VER RS-232 /O_CAL+WG
  1.108  JMPL         END                          @Abort
  1.109  MATH         @Chan = "B"
  1.110  CALL         Sub Fluke 190II (1 yr) Phase Meas VER RS-232 /O_CAL+WG
  1.111  JMPL         END                          @Abort
  1.112  MATH         @Chan = "C"
  1.113  CALL         Sub Fluke 190II (1 yr) Phase Meas VER RS-232 /O_CAL+WG
  1.114  JMPL         END                          @Abort
  1.115  MATH         @Chan = "D"
  1.116  CALL         Sub Fluke 190II (1 yr) Phase Meas VER RS-232 /O_CAL+WG
  1.117  JMPL         END                          @Abort

  1.118  MATH         @Chan = "A"
  1.119  CALL         Sub Fluke 190II (1 yr) A Time Base VER RS-232 /O_CAL
  1.120  JMPL         END                          @Abort

  1.121  MATH         @Chan = "A"
  1.122  CALL         Sub Fluke 190II (1 yr) Trigger Sens VER RS-232 /O_CAL
  1.123  JMPL         END                          @Abort
  1.124  JMPL         BANDWIDTH_A

  1.125  LABEL        TRIG_SENS_B
  1.126  MATH         @Chan = "B"
  1.127  CALL         Sub Fluke 190II (1 yr) Trigger Sens VER RS-232 /O_CAL
  1.128  JMPL         END                          @Abort
  1.129  JMPL         BANDWIDTH_B

  1.130  LABEL        TRIG_SENS_C
  1.131  MATH         @Chan = "C"
  1.132  CALL         Sub Fluke 190II (1 yr) Trigger Sens VER RS-232 /O_CAL
  1.133  JMPL         END                          @Abort
  1.134  JMPL         BANDWIDTH_C

  1.135  LABEL        TRIG_SENS_D
  1.136  MATH         @Chan = "D"
  1.137  CALL         Sub Fluke 190II (1 yr) Trigger Sens VER RS-232 /O_CAL
  1.138  JMPL         END                          @Abort
  1.139  JMPL         BANDWIDTH_D

  1.140  LABEL        BANDWIDTH_A
  1.141  MATH         @Chan = "A"
  1.142  CALL         Sub Fluke 190II (1 yr) Bandwidth VER RS-232 /O_CAL
  1.143  JMPL         END                          @Abort
  1.144  JMPL         A_VIDEO

  1.145  LABEL        BANDWIDTH_B
  1.146  MATH         @Chan = "B"
  1.147  CALL         Sub Fluke 190II (1 yr) Bandwidth VER RS-232 /O_CAL
  1.148  JMPL         END                          @Abort
  1.149  JMPL         TRIG_SENS_C

  1.150  LABEL        BANDWIDTH_C
  1.151  MATH         @Chan = "C"
  1.152  JMPL         END                          @Abort
  1.153  CALL         Sub Fluke 190II (1 yr) Bandwidth VER RS-232 /O_CAL
  1.154  JMPL         TRIG_SENS_D

  1.155  LABEL        BANDWIDTH_D
  1.156  MATH         @Chan = "D"
  1.157  CALL         Sub Fluke 190II (1 yr) Bandwidth VER RS-232 /O_CAL
  1.158  JMPL         END                          @Abort
  1.159  JMPL         PROBE

  1.160  LABEL        A_VIDEO
  1.161  MATH         @Chan = "A"
  1.162  CALL         Sub Fluke 190II (1 yr) A Video VER RS-232 /O_CAL+VID
  1.163  JMPL         END                          @Abort
  1.164  JMPL         TRIG_SENS_B

  1.165  LABEL        PROBE
  1.166  CALL         Sub Fluke 190II Probe VER RS-232

  1.167  LABEL        END

  1.168  IF           @Abort
  1.169  CALL         Sub Fluke ScopeMeter Status RS-232
  1.170  RSLT         =
  1.171  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.172  ENDIF

  1.173  END
