﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 190II Check Firmware Revision
DATE:                  2017-09-29 07:09:12
AUTHOR:                Fluke
REVISION:              $Revision: 21141 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       90
=============================================================================
#
#  Procedure Author:
#        VY, GMO
#
#  Source:
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504
#          Service Manual PN 4822 872 05405, February 2013, Rev. 2, 2/15
#
#        Tektronix THS3000 Series Oscilloscopes
#        Performance Verification and Adjustments
#        Technical Reference
#        077-0606-01
#
#  Compatibilty:
#        MET/CAL 8.0 or later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Firmware revision strings have the following forms:
# Released:     Vxx.xx
# Demo:         Dxx.xx.xxxx
# Preliminary:  Pxx.xx.xxxx

# All firmware versions of the THS 3000 Series are supported by this procedure
  1.001  IF           ZCMPI(@UUT_Manufacturer, "Tektronix")
  1.002  MATH         @Abort = 0
  1.003  END
  1.004  ENDIF

  1.005  MATH         @Abort = (LEN(@FirmwareRev) < 6)

  1.006  IF           @Abort
  1.007  DISP         Cannot extract firmware revision from returned string:
  1.007  DISP         "[V @FirmwareRev]"
  1.008  END
  1.009  ENDIF

  1.010  MATH         Prefix       = SUB(@FirmwareRev, 1, 1)
  1.011  MATH         @FirmwareNum = SUB(@FirmwareRev, 2, 5)

  1.012  IF           ZCMPI(@UUT_Manufacturer, "FLUKE")

# The released firmware version of 190 series II starts from V09.00.
  1.013  ELSEIF       ZCMPI(Prefix, "V")
  1.014  MATH         @Abort = (@FirmwareNum < 9.0)

# Only demo revisions D09.00.0404 or above are supported by this procedure.
  1.015  ELSEIF       ZCMPI(Prefix, "D") || ZCMPI(Prefix, "P")
  1.016  MATH         SubRev = FLD(@FirmwareRev, 3, ".")
  1.017  MATH         @Abort = (@FirmwareNum < 10) && (SubRev < 404)

  1.018  ELSE
  1.019  DISP         Unrecognized firmware prefix in:  [V @FirmwareRev]
  1.020  MATH         @Abort = 1
  1.021  ENDIF

  1.022  IF           @Abort
  1.023  DISP         The firmware revision of the DUT cannot be supported by
  1.023  DISP         this procedure.
  1.023  DISP
  1.023  DISP         Contact [V @UUT_Manufacturer] for a firmware upgrade.
  1.023  DISP
  1.023  DISP         Press Advance to abort the procedure now.
  1.024  ENDIF

  1.025  END
