﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 190II Preliminary Instructions
DATE:                  2018-01-26 07:01:23
AUTHOR:                Fluke
REVISION:              $Revision: 22328 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       95
=============================================================================
#
#  Procedure Author:
#        DAC, GMO
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Required Equipment:
#        - Power Adapter, BC190 (Fluke 190 Series II), or
#        - Power Adapter, 119-7900-00 (Tektronix THS3000)
#
# This procedure is intended for use with MET/CAL® calibration software;
# the terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         PRELIMINARY INSTRUCTIONS

  1.002  IF           @THS3000Series
  1.003  DISP         [32]           IMPORTANT! PLEASE NOTE!!
  1.003  DISP
  1.003  DISP         Throughout this procedure, the DUT MUST be powered
  1.003  DISP         by the battery charger.
  1.003  DISP
  1.003  DISP         Compatible models are:
  1.003  DISP         [32] 119-7900-00
  1.003  DISP         [32] 119-7900-03
  1.003  DISP
  1.003  DISP         The battery pack must be installed.
  1.004  ELSE
  1.005  DISP         [32]           IMPORTANT! PLEASE NOTE!!
  1.005  DISP
  1.005  DISP         Throughout this procedure, the DUT MUST be powered
  1.005  DISP         by the battery charger.
  1.005  DISP
  1.005  DISP         Compatible models are:
  1.005  DISP         [32] BC190/430
  1.005  DISP         [32] BC190/820
  1.005  DISP         [32] BC190/830
  1.005  DISP
  1.005  DISP         The battery pack must be installed.
  1.006  ENDIF

  1.007  IF           @THS3000Series
  1.008  MATH         Button = "UTILITY"
  1.009  ELSE
  1.010  MATH         Button = "USER"
  1.011  ENDIF

  1.012  IF           @Ver
  1.013  DISP         Prior to verification, the DUT must be reset.
  1.013  DISP         Reset the DUT using the following procedure:
  1.013  DISP
  1.013  DISP         - Press and release the power button to turn DUT off.
  1.013  DISP         - Press and hold the [V Button] button.
  1.013  DISP         - Press and release the power button to turn DUT on.
  1.013  DISP         - Wait until the DUT has beeped twice, then release
  1.013  DISP         [32] the [V Button] button.
  1.014  ELSE

  1.015  IF           NOT(@WarmingUpPreCalComplete)
  1.016  DISP         Prior to adjustment, the DUT must be reset.
  1.016  DISP         Reset the DUT using the following procedure:
  1.016  DISP
  1.016  DISP         - Press and release the power button to turn DUT off.
  1.016  DISP         - Press and hold the [V Button] button.
  1.016  DISP         - Press and release the power button to turn DUT on.
  1.016  DISP         - Wait until the DUT has beeped twice, then release
  1.016  DISP         [32] the [V Button] button.
  1.017  ENDIF

  1.018  ENDIF

  1.019  HEAD
  1.020  END
