﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 190II Probe VER RS-232
DATE:                  2017-09-22 09:24:47
AUTHOR:                Fluke
REVISION:              $Revision: 22060 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       95
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Models covered:
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504, 190-502
#        Tektronix THS3000 Series Oscilloscopes
#        THS3014, THS3024
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {PROBE CALIBRATION GENERATOR TEST}
  1.003  CALL         Sub Fluke ScopeMeter Default Setup RS-232
  1.004  JMPL         END                          @Abort
  1.005  CALL         Sub Fluke ScopeMeter Go to Local RS-232
  1.006  JMPL         END                          @Abort
  1.007  OPBR         -z The following test of the DUT Probe Calibration
  1.007  OPBR         Generator is a FUNCTIONAL TEST only and has no
  1.007  OPBR         quantitative parameters.
  1.007  OPBR
  1.007  OPBR         Do you wish to test the Probe Calibration Generator
  1.007  OPBR         at this time?

  1.008  IF           NOT(MEM1)
  1.009  RSLT         = Not Tested

  1.010  ELSE
  1.011  DISP         To test the Probe Calibration Generator, connect a
  1.011  DISP         VPS210 probe as shown in the following picture, then
  1.011  DISP         proceed as instructed in the following steps.

  1.012  IF           @THS3000Series
  1.013  PIC          THS3000_red_probe_test.png
  1.014  ELSE
  1.015  PIC          190II_red_probe_test.jpg
  1.016  ENDIF

  1.017  CALL         Sub Fluke ScopeMeter Press A RS-232
  1.018  JMPL         END                          @Abort
# Press PROBE A softkey.
  1.019  CALL         Sub Fluke ScopeMeter Press F3 RS-232
  1.020  JMPL         END                          @Abort
# Press PROBE CAL... softkey.
  1.021  CALL         Sub Fluke ScopeMeter Press F1 RS-232
  1.022  JMPL         END                          @Abort
# Press YES softkey.
  1.023  CALL         Sub Fluke ScopeMeter Press F4 RS-232
  1.024  JMPL         END                          @Abort

  1.025  DISP         Verify that the DUT shows the square wave, (the lower
  1.025  DISP         half of the screen is covered with operating
  1.025  DISP         instructions), adjust the trimmer screw in the probe
  1.025  DISP         housing until a pure square wave is displayed.
  1.025  DISP
  1.025  DISP         Press DUT F4 (CONTINUE) button to start the calibration,
  1.025  DISP         wait several seconds until the message "Calibration has
  1.025  DISP         been completed successfully" is displayed.
  1.026  EVAL   -s "Calibration Generator OK": Are the requirements met?

# Press CLOSE.
  2.001  CALL         Sub Fluke ScopeMeter Press F4 RS-232
  2.002  ENDIF

  2.003  LABEL        END
  2.004  HEAD
  2.005  HEAD         -2
  2.006  END
