﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 190II Setup Meter Reading RS-232
INSTRUMENT:            Sub Fluke 190II Setup Meter Voltage Range RS-232
INSTRUMENT:            Sub Fluke 190II Setup Meter Resistance Range RS-232
DATE:                  2018-01-15 10:44:18
AUTHOR:                Fluke
REVISION:              $Revision: 26989 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       4
NUMBER OF LINES:       176
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Models covered:
#        ScopeMeter® 190 Series II
#          190-062, 190-102, 190-202, 190-502
#        ScopeMeter® 190M Series
#          190M-2
#
#  Compatibility:
#        MET/CAL 8.2 or later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SETUP_METER_READING          PSUB("Meter Reading")
  1.002  JMPL         SETUP_VOLTAGE_RANGE          PSUB("Voltage Range")
  1.003  JMPL         SETUP_RESISTANCE_RANGE       PSUB("Resistance Range")
  1.004  DISP         Subprocedure not found!
  1.005  END

  1.006  EVAL   Increment Line Number

# ====== Sub Fluke 190II Setup Meter Reading RS-232 =========================

  2.001  LABEL        SETUP_METER_READING
  2.002  CALL         Sub Fluke ScopeMeter Default Setup RS-232
  2.003  JMPL         END                          @Abort
  2.004  WAIT         [D2000]

# Select meter application mode.
  2.005  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.006  JMPL         END                          @Abort
  2.007  PORT         #0[160][40][0][1][2][2]
  2.008  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.009  JMPL         END                          @Abort

# Select meter funtion.
  2.010  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.011  JMPL         END                          @Abort

  2.012  IF           ZCMPI(@MeterReading, "DC Voltage")
  2.013  PORT         #0[160][67][0][3][1][1][1][3]
  2.014  ELSEIF       ZCMPI(@MeterReading, "AC Voltage")
  2.015  PORT         #0[160][67][0][3][2][1][1][4]
  2.016  ELSEIF       ZCMPI(@MeterReading, "Ohms")
  2.017  PORT         #0[32][67][0][3][1][3][3][7][160][66][0][5][0][0][0][1][3][4]
  2.018  ELSEIF       ZCMPI(@MeterReading, "Diode")
  2.019  PORT         #0[160][67][0][3][15][1][1][17]
  2.020  ELSEIF       ZCMPI(@MeterReading, "Continuity")
  2.021  PORT         #0[160][67][0][3][16][3][3][22]
  2.022  ELSE
  2.023  DISP         @MeterReading = "[V @MeterReading]" unsupported!
  2.024  MATH         @Abort = 1
  2.025  ENDIF

  2.026  JMPL         END                          @Abort

  2.027  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.028  END

  2.029  EVAL   Increment Line Number

# ====== Sub Fluke 190II Setup Meter Voltage Range RS-232 ===================

  3.001  LABEL        SETUP_VOLTAGE_RANGE

  3.002  IF           ZCMPI(@VoltageRange, "Auto")
  3.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  3.004  JMPL         END                          @Abort
  3.005  PORT         #0[160][115][0][1][1][1]
  3.006  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  3.007  JMPL         END                          @Abort

  3.008  ELSE
  3.009  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  3.010  JMPL         END                          @Abort
  3.011  PORT         #0[160][115][0][1][0][0]
  3.012  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  3.013  JMPL         END                          @Abort

  3.014  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  3.015  JMPL         END                          @Abort

  3.016  IF           ZCMPI(@VoltageRange, "500 mV")
  3.017  PORT         #0[160][64][0][5][0][0][0][5][255][4]
  3.018  ELSEIF       ZCMPI(@VoltageRange, "5 V")
  3.019  PORT         #0[160][64][0][5][0][0][0][5][0][5]
  3.020  ELSEIF       ZCMPI(@VoltageRange, "50 V")
  3.021  PORT         #0[160][64][0][5][0][0][0][5][1][6]
  3.022  ELSEIF       ZCMPI(@VoltageRange, "500 V")
  3.023  PORT         #0[160][64][0][5][0][0][0][5][2][7]
  3.024  ELSEIF       ZCMPI(@VoltageRange, "1.1 kV")
  3.025  PORT         #0[160][64][0][5][0][0][0][1][3][4]
  3.026  ELSE
  3.027  DISP         @VoltageRange = "[V @VoltageRange]" unsupported!
  3.028  MATH         @Abort = 1
  3.029  ENDIF

  3.030  JMPL         END                          @Abort

  3.031  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  3.032  ENDIF

  3.033  END

  3.034  EVAL   Increment Line Number

# ====== Sub Fluke 190II Setup Meter Resistance Range RS-232 ================

  4.001  LABEL        SETUP_RESISTANCE_RANGE

  4.002  IF           ZCMPI(@ResistanceRange, "Auto")
  4.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  4.004  JMPL         END                          @Abort
  4.005  PORT         #0[160][115][0][1][1][1]
  4.006  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  4.007  JMPL         END                          @Abort

  4.008  ELSE
  4.009  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  4.010  JMPL         END                          @Abort
  4.011  PORT         #0[160][115][0][1][0][0]
  4.012  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  4.013  JMPL         END                          @Abort

  4.014  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  4.015  JMPL         END                          @Abort

  4.016  IF           ZCMPI(@ResistanceRange, "500 Ohm")
  4.017  PORT         #0[160][66][0][5][0][0][0][1][3][4]
  4.018  ELSEIF       ZCMPI(@ResistanceRange, "5 kOhm")
  4.019  PORT         #0[160][66][0][5][0][0][0][1][4][5]
  4.020  ELSEIF       ZCMPI(@ResistanceRange, "50 kOhm")
  4.021  PORT         #0[160][66][0][5][0][0][0][1][5][6]
  4.022  ELSEIF       ZCMPI(@ResistanceRange, "500 kOhm")
  4.023  PORT         #0[160][66][0][5][0][0][0][1][6][7]
  4.024  ELSEIF       ZCMPI(@ResistanceRange, "5 MOhm")
  4.025  PORT         #0[160][66][0][5][0][0][0][1][7][8]
  4.026  ELSEIF       ZCMPI(@ResistanceRange, "50 MOhm")
  4.027  PORT         #0[160][66][0][5][0][0][0][6][7][13]
  4.028  ELSE
  4.029  DISP         @ResistanceRange = "[V @ResistanceRange]" unsupported!
  4.030  MATH         @Abort = 1
  4.031  ENDIF

  4.032  JMPL         END                          @Abort

  4.033  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  4.034  ENDIF

  4.035  LABEL        END
  4.036  END
