﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 190II Setup Scope Channels RS-232
INSTRUMENT:            Sub Fluke 190II Setup Scope Range RS-232
INSTRUMENT:            Sub Fluke 190II Setup Scope Cursor RS-232
INSTRUMENT:            Sub Fluke 190II Setup Scope Reading RS-232
INSTRUMENT:            Sub Fluke 190II Setup Scope Timebase & Pos RS-232
DATE:                  2018-01-16 11:16:05
AUTHOR:                Fluke
REVISION:              $Revision: 22200 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       1038
=============================================================================
#
#  Procedure Author:
#        VY, CAD
#
#  Models covered:
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504, 190-502
#        Tektronix THS3000 Series Oscilloscopes
#        THS3014, THS3024
#
#  Compatibility:
#        MET/CAL 8.2 or later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SETUP_CHANNELS               PSUB("Channels")
  1.002  JMPL         SETUP_RANGE                  PSUB("Range")
  1.003  JMPL         SETUP_CURSOR                 PSUB("Cursor")
  1.004  JMPL         SETUP_READING                PSUB("Reading")
  1.005  JMPL         SETUP_TIMEBASE_and_POSITION  PSUB("Timebase & Pos")
  1.006  DISP         Subprocedure not found!
  1.007  END

  1.008  EVAL   Increment Step Number

# =====  Sub Fluke 190II Setup Scope Channels RS-232  =======================

  2.001  LABEL        SETUP_CHANNELS
  2.002  CALL         Sub Fluke ScopeMeter Default Setup RS-232
  2.003  JMPL         END                          @Abort
  2.004  WAIT         -t 3 DUT Initializing...

# Select scope application mode.
  2.005  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.006  JMPL         END                          @Abort
  2.007  PORT         #0[160][40][0][1][1][1]
  2.008  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.009  JMPL         END                          @Abort

# Initialize the time base range and scope range variable.
  2.010  MATH         @Timebase = "Auto"; @Range = "Auto"

  2.011  IF           ZCMPI(@Input, "A&B&C&D")
  2.012  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.013  JMPL         END                          @Abort

  2.014  IF           @DC_Coupling

  2.015  IF           ZCMPI(@BW_Setup, "FULL BW")
  2.016  PORT         #0[32][10][0][2][128][0][128][32][20][0][2][128][0][128][32][210][0][2][128][0][128][160][220][0][2][128][0][128]
  2.017  ELSEIF       ZCMPI(@BW_Setup, "20 kHz")
  2.018  PORT         #0[32][10][0][2][128][1][129][32][20][0][2][128][1][129][32][210][0][2][128][1][129][160][220][0][2][128][1][129]
  2.019  ELSE         ; BW = 20 MHz
  2.020  PORT         #0[32][10][0][2][128][2][130][32][20][0][2][128][2][130][32][210][0][2][128][2][130][160][220][0][2][128][2][130]
  2.021  ENDIF

  2.022  ELSE         ; AC_Coupling

  2.023  IF           ZCMPI(@BW_Setup, "FULL BW")
  2.024  PORT         #0[32][10][0][2][192][0][192][32][20][0][2][192][0][192][32][210][0][2][192][0][192][160][220][0][2][192][0][192]
  2.025  ELSEIF       ZCMPI(@BW_Setup, "20 kHz")
  2.026  PORT         #0[32][10][0][2][192][1][193][32][20][0][2][192][1][193][32][210][0][2][192][1][193][160][220][0][2][192][1][193]
  2.027  ELSE         ; BW = 20 MHz
  2.028  PORT         #0[32][10][0][2][192][2][194][32][20][0][2][192][2][194][32][210][0][2][192][2][194][160][220][0][2][192][2][194]
  2.029  ENDIF

  2.030  ENDIF

  2.031  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.032  JMPL         END                          @Abort

# Set Channel A, B, C, D Probe to 1:1.
  2.033  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.034  JMPL         END                          @Abort
  2.035  PORT         #0[32][11][0][1][2][2][32][21][0][1][2][2][32][211][0][1][2][2][160][221][0][1][2][2]
  2.036  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.037  JMPL         END                          @Abort

# Set Channel A, B, C, D Vertical Position to center.
  2.038  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.039  JMPL         END                          @Abort
  2.040  PORT         #0[32][13][0][2][0][0][0][32][23][0][2][0][0][0][32][213][0][2][0][0][0][160][223][0][2][0][0][0]
  2.041  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.042  JMPL         END                          @Abort

  2.043  ELSEIF       ZCMPI(@Input, "A&B")
  2.044  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.045  JMPL         END                          @Abort

  2.046  IF           @DC_Coupling

  2.047  IF           ZCMPI(@BW_Setup, "FULL BW")
  2.048  PORT         #0[32][10][0][2][128][0][128][160][20][0][2][128][0][128]
  2.049  ELSEIF       ZCMPI(@BW_Setup, "20 kHz")
  2.050  PORT         #0[32][10][0][2][128][1][129][160][20][0][2][128][1][129]
  2.051  ELSE         ; BW = 20 MHz
  2.052  PORT         #0[32][10][0][2][128][2][130][160][20][0][2][128][2][130]
  2.053  ENDIF

  2.054  ELSE         ; AC_Coupling

  2.055  IF           ZCMPI(@BW_Setup, "FULL BW")
  2.056  PORT         #0[32][10][0][2][192][0][192][160][20][0][2][192][0][192]
  2.057  ELSEIF       ZCMPI(@BW_Setup, "20 kHz")
  2.058  PORT         #0[32][10][0][2][192][1][193][160][20][0][2][192][1][193]
  2.059  ELSE         ; BW = 20 MHz
  2.060  PORT         #0[32][10][0][2][192][2][194][160][20][0][2][192][2][194]
  2.061  ENDIF

  2.062  ENDIF

  2.063  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.064  JMPL         END                          @Abort

# Set Channel A, B Probe to 1:1.
  2.065  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.066  JMPL         END                          @Abort
  2.067  PORT         #0[32][11][0][1][2][2][160][21][0][1][2][2]
  2.068  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.069  JMPL         END                          @Abort

# Set Channel A, B Vertical Position to center.
  2.070  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.071  JMPL         END                          @Abort
  2.072  PORT         #0[32][13][0][2][0][0][0][160][23][0][2][0][0][0]
  2.073  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.074  JMPL         END                          @Abort

  2.075  ELSE         ; Individual channel turned on

  2.076  IF           ZCMPI(@Input, "A")
# Channel A General Setting.
  2.077  CALL         Sub Fluke ScopeMeter Program Setup RS-232

  2.078  IF           @DC_Coupling

  2.079  IF           ZCMPI(@BW_Setup, "FULL BW")
  2.080  PORT         #0[160][10][0][2][128][0][128]
  2.081  ELSEIF       ZCMPI(@BW_Setup, "20 kHz")
  2.082  PORT         #0[160][10][0][2][128][1][129]
  2.083  ELSE         ; BW = 20 MHz
  2.084  PORT         #0[160][10][0][2][128][2][130]
  2.085  ENDIF

  2.086  ELSE         ; AC_Coupling

  2.087  IF           ZCMPI(@BW_Setup, "FULL BW")
  2.088  PORT         #0[160][10][0][2][192][0][192]
  2.089  ELSEIF       ZCMPI(@BW_Setup, "20 kHz")
  2.090  PORT         #0[160][10][0][2][192][1][193]
  2.091  ELSE         ; BW = 20 MHz
  2.092  PORT         #0[160][10][0][2][192][2][194]
  2.093  ENDIF

  2.094  ENDIF

  2.095  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.096  JMPL         END                          @Abort

# Set Channel A Probe to 1:1.
  2.097  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.098  JMPL         END                          @Abort
  2.099  PORT         #0[160][11][0][1][2][2]
  2.100  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.101  JMPL         END                          @Abort

# Set Channel A Vertical Position to center.
  2.102  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.103  JMPL         END                          @Abort
  2.104  PORT         #0[160][13][0][2][0][0][0]
  2.105  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.106  JMPL         END                          @Abort

# Set Trigger Source to Channel A.
  2.107  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.108  JMPL         END                          @Abort
  2.109  PORT         #0[160][102][0][1][0][0]
  2.110  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.111  JMPL         END                          @Abort

  2.112  ELSEIF       ZCMPI(@Input, "B")
  2.113  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.114  JMPL         END                          @Abort

  2.115  IF           @DC_Coupling

  2.116  IF           ZCMPI(@BW_Setup, "FULL BW")
  2.117  PORT         #0[160][20][0][2][128][0][128]
  2.118  ELSEIF       ZCMPI(@BW_Setup, "20 kHz")
  2.119  PORT         #0[160][20][0][2][128][1][129]
  2.120  ELSE         ; BW = 20 MHz
  2.121  PORT         #0[160][20][0][2][128][2][130]
  2.122  ENDIF

  2.123  ELSE         ; AC_Coupling

  2.124  IF           ZCMPI(@BW_Setup, "FULL BW")
  2.125  PORT         #0[160][20][0][2][192][0][192]
  2.126  ELSEIF       ZCMPI(@BW_Setup, "20 kHz")
  2.127  PORT         #0[160][20][0][2][192][1][193]
  2.128  ELSE         ; BW = 20 MHz
  2.129  PORT         #0[160][20][0][2][192][2][194]
  2.130  ENDIF

  2.131  ENDIF

  2.132  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.133  JMPL         END                          @Abort

# Set Channel B Probe to 1:1.
  2.134  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.135  JMPL         END                          @Abort
  2.136  PORT         #0[160][21][0][1][2][2]
  2.137  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.138  JMPL         END                          @Abort

# Set Channel B Vertical Position to center.
  2.139  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.140  JMPL         END                          @Abort
  2.141  PORT         #0[160][23][0][2][0][0][0]
  2.142  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.143  JMPL         END                          @Abort

# Set Trigger Source to Channel B.
  2.144  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.145  JMPL         END                          @Abort
  2.146  PORT         #0[160][102][0][1][1][1]
  2.147  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.148  JMPL         END                          @Abort

  2.149  ELSEIF       ZCMPI(@Input, "C")
  2.150  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.151  JMPL         END                          @Abort

  2.152  IF           @DC_Coupling

  2.153  IF           ZCMPI(@BW_Setup, "FULL BW")
  2.154  PORT         #0[160][210][0][2][128][0][128]
  2.155  ELSEIF       ZCMPI(@BW_Setup, "20 kHz")
  2.156  PORT         #0[160][210][0][2][128][1][129]
  2.157  ELSE         ; BW = 20 MHz
  2.158  PORT         #0[160][210][0][2][128][2][130]
  2.159  ENDIF

  2.160  ELSE         ; AC_Coupling

  2.161  IF           ZCMPI(@BW_Setup, "FULL BW")
  2.162  PORT         #0[160][210][0][2][192][0][192]
  2.163  ELSEIF       ZCMPI(@BW_Setup, "20 kHz")
  2.164  PORT         #0[160][210][0][2][192][1][193]
  2.165  ELSE         ; BW = 20 MHz
  2.166  PORT         #0[160][210][0][2][192][2][194]
  2.167  ENDIF

  2.168  ENDIF

  2.169  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.170  JMPL         END                          @Abort

# Set Channel C Probe to 1:1.
  2.171  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.172  JMPL         END                          @Abort
  2.173  PORT         #0[160][211][0][1][2][2]
  2.174  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.175  JMPL         END                          @Abort

# Set Channel C Vertical Position to center.
  2.176  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.177  JMPL         END                          @Abort
  2.178  PORT         #0[160][213][0][2][0][0][0]
  2.179  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.180  JMPL         END                          @Abort

# Set Trigger Source to Channel C.
  2.181  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.182  JMPL         END                          @Abort
  2.183  PORT         #0[160][102][0][1][2][2]
  2.184  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.185  JMPL         END                          @Abort

  2.186  ELSEIF       ZCMPI(@Input, "D")
  2.187  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.188  JMPL         END                          @Abort

  2.189  IF           @DC_Coupling

  2.190  IF           ZCMPI(@BW_Setup, "FULL BW")
  2.191  PORT         #0[160][220][0][2][128][0][128]
  2.192  ELSEIF       ZCMPI(@BW_Setup, "20 kHz")
  2.193  PORT         #0[160][220][0][2][128][1][129]
  2.194  ELSE         ; BW = 20 MHz
  2.195  PORT         #0[160][220][0][2][128][2][130]
  2.196  ENDIF

  2.197  ELSE         ; AC_Coupling

  2.198  IF           ZCMPI(@BW_Setup, "FULL BW")
  2.199  PORT         #0[160][220][0][2][192][0][192]
  2.200  ELSEIF       ZCMPI(@BW_Setup, "20 kHz")
  2.201  PORT         #0[160][220][0][2][192][1][193]
  2.202  ELSE         ; BW = 20 MHz
  2.203  PORT         #0[160][220][0][2][192][2][194]
  2.204  ENDIF

  2.205  ENDIF

  2.206  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.207  JMPL         END                          @Abort

# Set Channel D Probe to 1:1.
  2.208  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.209  JMPL         END                          @Abort
  2.210  PORT         #0[160][221][0][1][2][2]
  2.211  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.212  JMPL         END                          @Abort

# Set Channel D Vertical Position to center.
  2.213  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.214  JMPL         END                          @Abort
  2.215  PORT         #0[160][223][0][2][0][0][0]
  2.216  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.217  JMPL         END                          @Abort

# Set Trigger Source to Channel D.
  2.218  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.219  JMPL         END                          @Abort
  2.220  PORT         #0[160][102][0][1][3][3]
  2.221  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.222  JMPL         END                          @Abort
  2.223  ENDIF        ; ZCMPI(@Input, "A")

# Turn off the channel A once channel B, C, or D is turned on.
  2.224  IF           NOT(ZCMPI(@Input, "A"))
  2.225  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.226  JMPL         END                          @Abort

  2.227  IF           @DC_Coupling

  2.228  IF           ZCMPI(@BW_Setup, "FULL BW")
  2.229  PORT         #0[160][10][0][2][0][0][0]
  2.230  ELSEIF       ZCMPI(@BW_Setup, "20 kHz")
  2.231  PORT         #0[160][10][0][2][0][1][1]
  2.232  ELSE         ; BW = 20 MHz
  2.233  PORT         #0[160][10][0][2][0][2][2]
  2.234  ENDIF

  2.235  ELSE         ; AC_Coupling

  2.236  IF           ZCMPI(@BW_Setup, "FULL BW")
  2.237  PORT         #0[160][10][0][2][64][0][64]
  2.238  ELSEIF       ZCMPI(@BW_Setup, "20 kHz")
  2.239  PORT         #0[160][10][0][2][64][1][65]
  2.240  ELSE         ; BW = 20 MHz
  2.241  PORT         #0[160][10][0][2][64][2][66]
  2.242  ENDIF

  2.243  ENDIF

  2.244  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.245  JMPL         END                          @Abort
  2.246  ENDIF

  2.247  ENDIF        ; ZCMPI(@Input, "A&B&C&D")

  2.248  END

  2.249  EVAL   Increment Step Number

# =====  Sub Fluke 190II Setup Scope Range RS-232  ==========================

  3.001  LABEL        SETUP_RANGE

  3.002  IF           ZCMPI(@Range, "Auto") && ZCMPI(@Timebase, "Auto")
# Activate the timebase ranging, trigger mode ranging, trigger level ranging,
# and amplitude ranging on all channels.
  3.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  3.004  JMPL         END                          @Abort
  3.005  PORT         #0[160][115][0][1][127][127]
  3.006  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  3.007  JMPL         END                          @Abort

  3.008  ELSEIF       ZCMPI(@Range, "Auto") && NOT(ZCMPI(@Timebase, "Auto"))
# Activate amplitude ranging on all channels, trigger mode ranging and trigger
# level ranging, only the timebase ranging are inactive.
  3.009  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  3.010  JMPL         END                          @Abort
  3.011  PORT         #0[160][115][0][1][111][111]
  3.012  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  3.013  JMPL         END                          @Abort

  3.014  ELSE         ; Manual scope range
  3.015  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  3.016  JMPL         END                          @Abort

  3.017  IF           ZCMPI(@Timebase, "Auto")
# Activate the timebase ranging, trigger mode ranging and trigger level
# ranging, only amplitude ranging on all channels are inactive.
  3.018  PORT         #0[160][115][0][1][112][112]
  3.019  ELSE         ; Manual timebase range
# Firstly deactivate the amplitude ranging on all channels and also deactivate
# the timebase ranging, only the trigger mode ranging and trigger level
# ranging are active.
  3.020  PORT         #0[160][115][0][1][96][96]
  3.021  ENDIF

  3.022  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  3.023  JMPL         END                          @Abort

  3.024  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  3.025  JMPL         END                          @Abort

  3.026  IF           ZCMPI(@Input, "A&B&C&D")

# Set Channel A, B, C, and D Scope Range to desired.
  3.027  IF           ZCMPI(@Range, "2 mV/div")
  3.028  PORT         #0[32][14][0][5][0][0][0][16][253][13][32][24][0][5][0][0][0][16][253][13][32][214][0][5][0][0][0][16][253][13][160][224][0][5][0][0][0][16][253][13]
  3.029  ELSEIF       ZCMPI(@Range, "5 mV/div")
  3.030  PORT         #0[32][14][0][5][0][0][0][4][254][2][32][24][0][5][0][0][0][4][254][2][32][214][0][5][0][0][0][4][254][2][160][224][0][5][0][0][0][4][254][2]
  3.031  ELSEIF       ZCMPI(@Range, "10 mV/div")
  3.032  PORT         #0[32][14][0][5][0][0][0][8][254][6][32][24][0][5][0][0][0][8][254][6][32][214][0][5][0][0][0][8][254][6][160][224][0][5][0][0][0][8][254][6]
  3.033  ELSEIF       ZCMPI(@Range, "20 mV/div")
  3.034  PORT         #0[32][14][0][5][0][0][0][16][254][14][32][24][0][5][0][0][0][16][254][14][32][214][0][5][0][0][0][16][254][14][160][224][0][5][0][0][0][16][254][14]
  3.035  ELSEIF       ZCMPI(@Range, "50 mV/div")
  3.036  PORT         #0[32][14][0][5][0][0][0][4][255][3][32][24][0][5][0][0][0][4][255][3][32][214][0][5][0][0][0][4][255][3][160][224][0][5][0][0][0][4][255][3]
  3.037  ELSEIF       ZCMPI(@Range, "100 mV/div")
  3.038  PORT         #0[32][14][0][5][0][0][0][8][255][7][32][24][0][5][0][0][0][8][255][7][32][214][0][5][0][0][0][8][255][7][160][224][0][5][0][0][0][8][255][7]
  3.039  ELSEIF       ZCMPI(@Range, "200 mV/div")
  3.040  PORT         #0[32][14][0][5][0][0][0][16][255][15][32][24][0][5][0][0][0][16][255][15][32][214][0][5][0][0][0][16][255][15][160][224][0][5][0][0][0][16][255][15]
  3.041  ELSEIF       ZCMPI(@Range, "500 mV/div")
  3.042  PORT         #0[32][14][0][5][0][0][0][4][0][4][32][24][0][5][0][0][0][4][0][4][32][214][0][5][0][0][0][4][0][4][160][224][0][5][0][0][0][4][0][4]
  3.043  ELSEIF       ZCMPI(@Range, "1 V/div")
  3.044  PORT         #0[32][14][0][5][0][0][0][8][0][8][32][24][0][5][0][0][0][8][0][8][32][214][0][5][0][0][0][8][0][8][160][224][0][5][0][0][0][8][0][8]
  3.045  ELSEIF       ZCMPI(@Range, "2 V/div")
  3.046  PORT         #0[32][14][0][5][0][0][0][16][0][16][32][24][0][5][0][0][0][16][0][16][32][214][0][5][0][0][0][16][0][16][160][224][0][5][0][0][0][16][0][16]
  3.047  ELSEIF       ZCMPI(@Range, "5 V/div")
  3.048  PORT         #0[32][14][0][5][0][0][0][4][1][5][32][24][0][5][0][0][0][4][1][5][32][214][0][5][0][0][0][4][1][5][160][224][0][5][0][0][0][4][1][5]
  3.049  ELSEIF       ZCMPI(@Range, "10 V/div")
  3.050  PORT         #0[32][14][0][5][0][0][0][8][1][9][32][24][0][5][0][0][0][8][1][9][32][214][0][5][0][0][0][8][1][9][160][224][0][5][0][0][0][8][1][9]
  3.051  ELSEIF       ZCMPI(@Range, "20 V/div")
  3.052  PORT         #0[32][14][0][5][0][0][0][16][1][17][32][24][0][5][0][0][0][16][1][17][32][214][0][5][0][0][0][16][1][17][160][224][0][5][0][0][0][16][1][17]
  3.053  ELSEIF       ZCMPI(@Range, "50 V/div")
  3.054  PORT         #0[32][14][0][5][0][0][0][4][2][6][32][24][0][5][0][0][0][4][2][6][32][214][0][5][0][0][0][4][2][6][160][224][0][5][0][0][0][4][2][6]
  3.055  ELSEIF       ZCMPI(@Range, "100 V/div")
  3.056  PORT         #0[32][14][0][5][0][0][0][8][2][10][32][24][0][5][0][0][0][8][2][10][32][214][0][5][0][0][0][8][2][10][160][224][0][5][0][0][0][8][2][10]
  3.057  ELSE
  3.058  MATH         @Abort = 1
  3.059  ENDIF

  3.060  ELSEIF       ZCMPI(@Input, "A&B")

# Set Channel A, B Scope Range to desired.
  3.061  IF           ZCMPI(@Range, "2 mV/div")
  3.062  PORT         #0[32][14][0][5][0][0][0][16][253][13][160][24][0][5][0][0][0][16][253][13]
  3.063  ELSEIF       ZCMPI(@Range, "5 mV/div")
  3.064  PORT         #0[32][14][0][5][0][0][0][4][254][2][160][24][0][5][0][0][0][4][254][2]
  3.065  ELSEIF       ZCMPI(@Range, "10 mV/div")
  3.066  PORT         #0[32][14][0][5][0][0][0][8][254][6][160][24][0][5][0][0][0][8][254][6]
  3.067  ELSEIF       ZCMPI(@Range, "20 mV/div")
  3.068  PORT         #0[32][14][0][5][0][0][0][16][254][14][160][24][0][5][0][0][0][16][254][14]
  3.069  ELSEIF       ZCMPI(@Range, "50 mV/div")
  3.070  PORT         #0[32][14][0][5][0][0][0][4][255][3][160][24][0][5][0][0][0][4][255][3]
  3.071  ELSEIF       ZCMPI(@Range, "100 mV/div")
  3.072  PORT         #0[32][14][0][5][0][0][0][8][255][7][160][24][0][5][0][0][0][8][255][7]
  3.073  ELSEIF       ZCMPI(@Range, "200 mV/div")
  3.074  PORT         #0[32][14][0][5][0][0][0][16][255][15][160][24][0][5][0][0][0][16][255][15]
  3.075  ELSEIF       ZCMPI(@Range, "500 mV/div")
  3.076  PORT         #0[32][14][0][5][0][0][0][4][0][4][160][24][0][5][0][0][0][4][0][4]
  3.077  ELSEIF       ZCMPI(@Range, "1 V/div")
  3.078  PORT         #0[32][14][0][5][0][0][0][8][0][8][160][24][0][5][0][0][0][8][0][8]
  3.079  ELSEIF       ZCMPI(@Range, "2 V/div")
  3.080  PORT         #0[32][14][0][5][0][0][0][16][0][16][160][24][0][5][0][0][0][16][0][16]
  3.081  ELSEIF       ZCMPI(@Range, "5 V/div")
  3.082  PORT         #0[32][14][0][5][0][0][0][4][1][5][160][24][0][5][0][0][0][4][1][5]
  3.083  ELSEIF       ZCMPI(@Range, "10 V/div")
  3.084  PORT         #0[32][14][0][5][0][0][0][8][1][9][160][24][0][5][0][0][0][8][1][9]
  3.085  ELSEIF       ZCMPI(@Range, "20 V/div")
  3.086  PORT         #0[32][14][0][5][0][0][0][16][1][17][160][24][0][5][0][0][0][16][1][17]
  3.087  ELSEIF       ZCMPI(@Range, "50 V/div")
  3.088  PORT         #0[32][14][0][5][0][0][0][4][2][6][160][24][0][5][0][0][0][4][2][6]
  3.089  ELSEIF       ZCMPI(@Range, "100 V/div")
  3.090  PORT         #0[32][14][0][5][0][0][0][8][2][10][160][24][0][5][0][0][0][8][2][10]
  3.091  ELSE
  3.092  MATH         @Abort = 1
  3.093  ENDIF

  3.094  ELSE         ; Individual channel Scope Range

# Set Channel A Scope Range to desired.
  3.095  IF           ZCMPI(@Input, "A")

  3.096  IF           ZCMPI(@Range, "2 mV/div")
  3.097  PORT         #0[160][14][0][5][0][0][0][16][253][13]
  3.098  ELSEIF       ZCMPI(@Range, "5 mV/div")
  3.099  PORT         #0[160][14][0][5][0][0][0][4][254][2]
  3.100  ELSEIF       ZCMPI(@Range, "10 mV/div")
  3.101  PORT         #0[160][14][0][5][0][0][0][8][254][6]
  3.102  ELSEIF       ZCMPI(@Range, "20 mV/div")
  3.103  PORT         #0[160][14][0][5][0][0][0][16][254][14]
  3.104  ELSEIF       ZCMPI(@Range, "50 mV/div")
  3.105  PORT         #0[160][14][0][5][0][0][0][4][255][3]
  3.106  ELSEIF       ZCMPI(@Range, "100 mV/div")
  3.107  PORT         #0[160][14][0][5][0][0][0][8][255][7]
  3.108  ELSEIF       ZCMPI(@Range, "200 mV/div")
  3.109  PORT         #0[160][14][0][5][0][0][0][16][255][15]
  3.110  ELSEIF       ZCMPI(@Range, "500 mV/div")
  3.111  PORT         #0[160][14][0][5][0][0][0][4][0][4]
  3.112  ELSEIF       ZCMPI(@Range, "1 V/div")
  3.113  PORT         #0[160][14][0][5][0][0][0][8][0][8]
  3.114  ELSEIF       ZCMPI(@Range, "2 V/div")
  3.115  PORT         #0[160][14][0][5][0][0][0][16][0][16]
  3.116  ELSEIF       ZCMPI(@Range, "5 V/div")
  3.117  PORT         #0[160][14][0][5][0][0][0][4][1][5]
  3.118  ELSEIF       ZCMPI(@Range, "10 V/div")
  3.119  PORT         #0[160][14][0][5][0][0][0][8][1][9]
  3.120  ELSEIF       ZCMPI(@Range, "20 V/div")
  3.121  PORT         #0[160][14][0][5][0][0][0][16][1][17]
  3.122  ELSEIF       ZCMPI(@Range, "50 V/div")
  3.123  PORT         #0[160][14][0][5][0][0][0][4][2][6]
  3.124  ELSEIF       ZCMPI(@Range, "100 V/div")
  3.125  PORT         #0[160][14][0][5][0][0][0][8][2][10]
  3.126  ELSE
  3.127  MATH         @Abort = 1
  3.128  ENDIF

# Set Channel B Scope Rang to desired.
  3.129  ELSEIF       ZCMPI(@Input, "B")

  3.130  IF           ZCMPI(@Range, "2 mV/div")
  3.131  PORT         #0[160][24][0][5][0][0][0][16][253][13]
  3.132  ELSEIF       ZCMPI(@Range, "5 mV/div")
  3.133  PORT         #0[160][24][0][5][0][0][0][4][254][2]
  3.134  ELSEIF       ZCMPI(@Range, "10 mV/div")
  3.135  PORT         #0[160][24][0][5][0][0][0][8][254][6]
  3.136  ELSEIF       ZCMPI(@Range, "20 mV/div")
  3.137  PORT         #0[160][24][0][5][0][0][0][16][254][14]
  3.138  ELSEIF       ZCMPI(@Range, "50 mV/div")
  3.139  PORT         #0[160][24][0][5][0][0][0][4][255][3]
  3.140  ELSEIF       ZCMPI(@Range, "100 mV/div")
  3.141  PORT         #0[160][24][0][5][0][0][0][8][255][7]
  3.142  ELSEIF       ZCMPI(@Range, "200 mV/div")
  3.143  PORT         #0[160][24][0][5][0][0][0][16][255][15]
  3.144  ELSEIF       ZCMPI(@Range, "500 mV/div")
  3.145  PORT         #0[160][24][0][5][0][0][0][4][0][4]
  3.146  ELSEIF       ZCMPI(@Range, "1 V/div")
  3.147  PORT         #0[160][24][0][5][0][0][0][8][0][8]
  3.148  ELSEIF       ZCMPI(@Range, "2 V/div")
  3.149  PORT         #0[160][24][0][5][0][0][0][16][0][16]
  3.150  ELSEIF       ZCMPI(@Range, "5 V/div")
  3.151  PORT         #0[160][24][0][5][0][0][0][4][1][5]
  3.152  ELSEIF       ZCMPI(@Range, "10 V/div")
  3.153  PORT         #0[160][24][0][5][0][0][0][8][1][9]
  3.154  ELSEIF       ZCMPI(@Range, "20 V/div")
  3.155  PORT         #0[160][24][0][5][0][0][0][16][1][17]
  3.156  ELSEIF       ZCMPI(@Range, "50 V/div")
  3.157  PORT         #0[160][24][0][5][0][0][0][4][2][6]
  3.158  ELSEIF       ZCMPI(@Range, "100 V/div")
  3.159  PORT         #0[160][24][0][5][0][0][0][8][2][10]
  3.160  ELSE
  3.161  MATH         @Abort = 1
  3.162  ENDIF

# Set Channel C Scope Range to desired.
  3.163  ELSEIF       ZCMPI(@Input, "C")

  3.164  IF           ZCMPI(@Range, "2 mV/div")
  3.165  PORT         #0[160][214][0][5][0][0][0][16][253][13]
  3.166  ELSEIF       ZCMPI(@Range, "5 mV/div")
  3.167  PORT         #0[160][214][0][5][0][0][0][4][254][2]
  3.168  ELSEIF       ZCMPI(@Range, "10 mV/div")
  3.169  PORT         #0[160][214][0][5][0][0][0][8][254][6]
  3.170  ELSEIF       ZCMPI(@Range, "20 mV/div")
  3.171  PORT         #0[160][214][0][5][0][0][0][16][254][14]
  3.172  ELSEIF       ZCMPI(@Range, "50 mV/div")
  3.173  PORT         #0[160][214][0][5][0][0][0][4][255][3]
  3.174  ELSEIF       ZCMPI(@Range, "100 mV/div")
  3.175  PORT         #0[160][214][0][5][0][0][0][8][255][7]
  3.176  ELSEIF       ZCMPI(@Range, "200 mV/div")
  3.177  PORT         #0[160][214][0][5][0][0][0][16][255][15]
  3.178  ELSEIF       ZCMPI(@Range, "500 mV/div")
  3.179  PORT         #0[160][214][0][5][0][0][0][4][0][4]
  3.180  ELSEIF       ZCMPI(@Range, "1 V/div")
  3.181  PORT         #0[160][214][0][5][0][0][0][8][0][8]
  3.182  ELSEIF       ZCMPI(@Range, "2 V/div")
  3.183  PORT         #0[160][214][0][5][0][0][0][16][0][16]
  3.184  ELSEIF       ZCMPI(@Range, "5 V/div")
  3.185  PORT         #0[160][214][0][5][0][0][0][4][1][5]
  3.186  ELSEIF       ZCMPI(@Range, "10 V/div")
  3.187  PORT         #0[160][214][0][5][0][0][0][8][1][9]
  3.188  ELSEIF       ZCMPI(@Range, "20 V/div")
  3.189  PORT         #0[160][214][0][5][0][0][0][16][1][17]
  3.190  ELSEIF       ZCMPI(@Range, "50 V/div")
  3.191  PORT         #0[160][214][0][5][0][0][0][4][2][6]
  3.192  ELSEIF       ZCMPI(@Range, "100 V/div")
  3.193  PORT         #0[160][214][0][5][0][0][0][8][2][10]
  3.194  ELSE
  3.195  MATH         @Abort = 1
  3.196  ENDIF

# Set Channel D Scope Range to desired.
  3.197  ELSEIF       ZCMPI(@Input, "D")

  3.198  IF           ZCMPI(@Range, "2 mV/div")
  3.199  PORT         #0[160][224][0][5][0][0][0][16][253][13]
  3.200  ELSEIF       ZCMPI(@Range, "5 mV/div")
  3.201  PORT         #0[160][224][0][5][0][0][0][4][254][2]
  3.202  ELSEIF       ZCMPI(@Range, "10 mV/div")
  3.203  PORT         #0[160][224][0][5][0][0][0][8][254][6]
  3.204  ELSEIF       ZCMPI(@Range, "20 mV/div")
  3.205  PORT         #0[160][224][0][5][0][0][0][16][254][14]
  3.206  ELSEIF       ZCMPI(@Range, "50 mV/div")
  3.207  PORT         #0[160][224][0][5][0][0][0][4][255][3]
  3.208  ELSEIF       ZCMPI(@Range, "100 mV/div")
  3.209  PORT         #0[160][224][0][5][0][0][0][8][255][7]
  3.210  ELSEIF       ZCMPI(@Range, "200 mV/div")
  3.211  PORT         #0[160][224][0][5][0][0][0][16][255][15]
  3.212  ELSEIF       ZCMPI(@Range, "500 mV/div")
  3.213  PORT         #0[160][224][0][5][0][0][0][4][0][4]
  3.214  ELSEIF       ZCMPI(@Range, "1 V/div")
  3.215  PORT         #0[160][224][0][5][0][0][0][8][0][8]
  3.216  ELSEIF       ZCMPI(@Range, "2 V/div")
  3.217  PORT         #0[160][224][0][5][0][0][0][16][0][16]
  3.218  ELSEIF       ZCMPI(@Range, "5 V/div")
  3.219  PORT         #0[160][224][0][5][0][0][0][4][1][5]
  3.220  ELSEIF       ZCMPI(@Range, "10 V/div")
  3.221  PORT         #0[160][224][0][5][0][0][0][8][1][9]
  3.222  ELSEIF       ZCMPI(@Range, "20 V/div")
  3.223  PORT         #0[160][224][0][5][0][0][0][16][1][17]
  3.224  ELSEIF       ZCMPI(@Range, "50 V/div")
  3.225  PORT         #0[160][224][0][5][0][0][0][4][2][6]
  3.226  ELSEIF       ZCMPI(@Range, "100 V/div")
  3.227  PORT         #0[160][224][0][5][0][0][0][8][2][10]
  3.228  ELSE
  3.229  MATH         @Abort = 1
  3.230  ENDIF

  3.231  ENDIF        ; ZCMPI(@Input, "A")

  3.232  ENDIF        ; ZCMPI(@Input, "A&B&C&D")

  3.233  IF           @Abort
  3.234  DISP         @Range = "[V @Range]" unsupported!
  3.235  ENDIF

  3.236  JMPL         END                          @Abort

  3.237  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  3.238  ENDIF        ; ZCMPI(@Range, "Auto") && ZCMPI(@Timebase, "Auto")

  3.239  END

  3.240  EVAL   Increment Step Number


# =====  Sub Fluke 190II Setup Scope Cursor RS-232  =========================

  4.001  LABEL        SETUP_CURSOR
# Here only define the Single Vertical Cursor in average mode per procedure
# requirement.
  4.002  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  4.003  JMPL         END                          @Abort

  4.004  IF           ZCMPI(@Chan, "A")
  4.005  PORT         #0[160][70][0][7][128][1][0][0][0][0][0][129]
  4.006  ELSEIF       ZCMPI(@Chan, "B")
  4.007  PORT         #0[160][70][0][7][128][1][1][0][0][0][0][130]
  4.008  ELSEIF       ZCMPI(@Chan, "C")
  4.009  PORT         #0[160][70][0][7][128][1][2][0][0][0][0][131]
  4.010  ELSEIF       ZCMPI(@Chan, "D")
  4.011  PORT         #0[160][70][0][7][128][1][3][0][0][0][0][132]
  4.012  ENDIF

  4.013  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232

  4.014  END

  4.015  EVAL   Increment Step Number


# =====  Sub Fluke 190II Setup Scope Reading RS-232  ========================

  5.001  LABEL        SETUP_READING

  5.002  IF           ZCMPI(@Input, "A&B&C&D")
  5.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  5.004  JMPL         END                          @Abort

  5.005  IF           ZCMPI(@Reading, "DC Volts Mean")
  5.006  PORT         #0[32][51][0][5][128][1][1][1][1][132][32][52][0][5][128][2][1][1][1][133][32][56][0][5][128][3][1][1][1][134][160][57][0][5][128][4][1][1][1][135]
  5.007  ELSEIF       ZCMPI(@Reading, "AC Volts Rms")
  5.008  PORT         #0[32][51][0][5][128][1][2][1][1][133][32][52][0][5][128][2][2][1][1][134][32][56][0][5][128][3][2][1][1][135][160][57][0][5][128][4][2][1][1][136]
  5.009  ELSEIF       ZCMPI(@Reading, "AC Volts Peak to Peak")
  5.010  PORT         #0[32][51][0][5][128][1][4][1][1][135][32][52][0][5][128][2][4][1][1][136][32][56][0][5][128][3][4][1][1][137][160][57][0][5][128][4][4][1][1][138]
  5.011  ELSEIF       ZCMPI(@Reading, "Frequency")
  5.012  PORT         #0[32][51][0][5][128][1][11][10][8][158][32][52][0][5][128][2][11][10][8][159][32][56][0][5][128][3][11][10][8][160][160][57][0][5][128][4][11][10][8][161]
  5.013  ELSEIF       ZCMPI(@Reading, "Phase")
  5.014  PORT         #0[32][51][0][5][128][1][14][11][9][163][32][52][0][5][128][2][14][11][9][164][32][56][0][5][128][3][14][11][9][165][160][57][0][5][128][4][14][11][9][166]
  5.015  ENDIF

  5.016  ELSEIF       ZCMPI(@Input, "A&B")
  5.017  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  5.018  JMPL         END                          @Abort

  5.019  IF           ZCMPI(@Reading, "DC Volts Mean")
  5.020  PORT         #0[32][51][0][5][128][1][1][1][1][132][160][52][0][5][128][2][1][1][1][133]
  5.021  ELSEIF       ZCMPI(@Reading, "AC Volts Rms")
  5.022  PORT         #0[32][51][0][5][128][1][2][1][1][133][160][52][0][5][128][2][2][1][1][134]
  5.023  ELSEIF       ZCMPI(@Reading, "AC Volts Peak to Peak")
  5.024  PORT         #0[32][51][0][5][128][1][4][1][1][135][160][52][0][5][128][2][4][1][1][136]
  5.025  ELSEIF       ZCMPI(@Reading, "Frequency")
  5.026  PORT         #0[32][51][0][5][128][1][11][10][8][158][160][52][0][5][128][2][11][10][8][159]
  5.027  ELSEIF       ZCMPI(@Reading, "Phase")
  5.028  PORT         #0[32][51][0][5][128][1][14][11][9][163][160][52][0][5][128][2][14][11][9][164]
  5.029  ENDIF

  5.030  ELSE         ; Individual channel Scope Reading

  5.031  IF           ZCMPI(@Input, "A")
  5.032  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  5.033  JMPL         END                          @Abort

  5.034  IF           ZCMPI(@Reading, "DC Volts Mean")
  5.035  PORT         #0[160][51][0][5][128][1][1][1][1][132]
  5.036  ELSEIF       ZCMPI(@Reading, "AC Volts Rms")
  5.037  PORT         #0[160][51][0][5][128][1][2][1][1][133]
  5.038  ELSEIF       ZCMPI(@Reading, "AC Volts Peak to Peak")
  5.039  PORT         #0[160][51][0][5][128][1][4][1][1][135]
  5.040  ELSEIF       ZCMPI(@Reading, "Frequency")
  5.041  PORT         #0[160][51][0][5][128][1][11][10][8][158]
  5.042  ELSEIF       ZCMPI(@Reading, "Phase")
  5.043  PORT         #0[160][51][0][5][128][1][14][11][9][163]
  5.044  ENDIF

  5.045  ELSEIF       ZCMPI(@Input, "B")
  5.046  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  5.047  JMPL         END                          @Abort

  5.048  IF           ZCMPI(@Reading, "DC Volts Mean")
  5.049  PORT         #0[160][52][0][5][128][2][1][1][1][133]
  5.050  ELSEIF       ZCMPI(@Reading, "AC Volts Rms")
  5.051  PORT         #0[160][52][0][5][128][2][2][1][1][134]
  5.052  ELSEIF       ZCMPI(@Reading, "AC Volts Peak to Peak")
  5.053  PORT         #0[160][52][0][5][128][2][4][1][1][136]
  5.054  ELSEIF       ZCMPI(@Reading, "Frequency")
  5.055  PORT         #0[160][52][0][5][128][2][11][10][8][159]
  5.056  ELSEIF       ZCMPI(@Reading, "Phase")
  5.057  PORT         #0[160][52][0][5][128][2][14][11][9][164]
  5.058  ENDIF

  5.059  ELSEIF       ZCMPI(@Input, "C")
  5.060  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  5.061  JMPL         END                          @Abort

  5.062  IF           ZCMPI(@Reading, "DC Volts Mean")
  5.063  PORT         #0[160][56][0][5][128][3][1][1][1][134]
  5.064  ELSEIF       ZCMPI(@Reading, "AC Volts Rms")
  5.065  PORT         #0[160][56][0][5][128][3][2][1][1][135]
  5.066  ELSEIF       ZCMPI(@Reading, "AC Volts Peak to Peak")
  5.067  PORT         #0[160][56][0][5][128][3][4][1][1][137]
  5.068  ELSEIF       ZCMPI(@Reading, "Frequency")
  5.069  PORT         #0[160][56][0][5][128][3][11][10][8][160]
  5.070  ELSEIF       ZCMPI(@Reading, "Phase")
  5.071  PORT         #0[160][56][0][5][128][3][14][11][9][165]
  5.072  ENDIF

  5.073  ELSEIF       ZCMPI(@Input, "D")
  5.074  CALL         Sub Fluke ScopeMeter Program Setup RS-232

  5.075  IF           ZCMPI(@Reading, "DC Volts Mean")
  5.076  PORT         #0[160][57][0][5][128][4][1][1][1][135]
  5.077  ELSEIF       ZCMPI(@Reading, "AC Volts Rms")
  5.078  PORT         #0[160][57][0][5][128][4][2][1][1][136]
  5.079  ELSEIF       ZCMPI(@Reading, "AC Volts Peak to Peak")
  5.080  PORT         #0[160][57][0][5][128][4][4][1][1][138]
  5.081  ELSEIF       ZCMPI(@Reading, "Frequency")
  5.082  PORT         #0[160][57][0][5][128][4][11][10][8][161]
  5.083  ELSEIF       ZCMPI(@Reading, "Phase")
  5.084  PORT         #0[160][57][0][5][128][4][14][11][9][166]
  5.085  ENDIF

  5.086  ENDIF

  5.087  ENDIF        ; ZCMPI(@Input, "A&B&C&D")

  5.088  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  5.089  END

  5.090  EVAL   Increment Step Number


# =====  Sub Fluke 190II Setup Scope Timebase & Pos RS-232  =================

  6.001  LABEL        SETUP_TIMEBASE_and_POSITION

  6.002  IF           ZCMPI(@Timebase, "Auto") && ZCMPI(@Range, "Auto")
# Activate the timebase ranging, trigger mode ranging, trigger level ranging,
# and amplitude ranging on all channels.
  6.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  6.004  JMPL         END                          @Abort
  6.005  PORT         #0[160][115][0][1][127][127]
  6.006  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  6.007  JMPL         END                          @Abort

  6.008  ELSEIF       ZCMPI(@Timebase, "Auto") && NOT(ZCMPI(@Range, "Auto"))
# Activate the timebase ranging, trigger mode ranging and trigger level
# ranging, only amplitude ranging on all channels are inactive.
  6.009  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  6.010  JMPL         END                          @Abort
  6.011  PORT         #0[160][115][0][1][112][112]
  6.012  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  6.013  JMPL         END                          @Abort

  6.014  ELSE         ; Manual timebase range
  6.015  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  6.016  JMPL         END                          @Abort

  6.017  IF           ZCMPI(@Range, "Auto")
# Activate amplitude ranging on all channels, trigger mode ranging and trigger
# level ranging, only the timebase ranging are inactive.
  6.018  PORT         #0[160][115][0][1][111][111]
  6.019  ELSE
# Deactivate the timebase ranging and also amplitude ranging on all channels,
# only the trigger mode ranging and trigger level ranging are active.
  6.020  PORT         #0[160][115][0][1][96][96]
  6.021  ENDIF

  6.022  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  6.023  JMPL         END                          @Abort

# Setup the time base.
  6.024  IF           ZCMPI(@Timebase, "5 ns/div")
  6.025  MATH         L[1] = 1
  6.026  ELSEIF       ZCMPI(@Timebase, "10 ns/div")
  6.027  MATH         L[1] = 2
  6.028  ELSEIF       ZCMPI(@Timebase, "20 ns/div")
  6.029  MATH         L[1] = 3
  6.030  ELSEIF       ZCMPI(@Timebase, "40 ns/div")  || ZCMPI(@Timebase, "50 ns/div")
  6.031  MATH         L[1] = 4
  6.032  ELSEIF       ZCMPI(@Timebase, "100 ns/div")
  6.033  MATH         L[1] = 5
  6.034  ELSEIF       ZCMPI(@Timebase, "200 ns/div")
  6.035  MATH         L[1] = 6
  6.036  ELSEIF       ZCMPI(@Timebase, "400 ns/div") || ZCMPI(@Timebase, "500 ns/div")
  6.037  MATH         L[1] = 7
  6.038  ELSEIF       ZCMPI(@Timebase, "1 us/div")
  6.039  MATH         L[1] = 8
  6.040  ELSEIF       ZCMPI(@Timebase, "2 us/div")
  6.041  MATH         L[1] = 9
  6.042  ELSEIF       ZCMPI(@Timebase, "4 us/div")   || ZCMPI(@Timebase, "5 us/div")
  6.043  MATH         L[1] = 10
  6.044  ELSEIF       ZCMPI(@Timebase, "10 us/div")
  6.045  MATH         L[1] = 11
  6.046  ELSEIF       ZCMPI(@Timebase, "20 us/div")
  6.047  MATH         L[1] = 12
  6.048  ELSEIF       ZCMPI(@Timebase, "40 us/div")  || ZCMPI(@Timebase, "50 us/div")
  6.049  MATH         L[1] = 13
  6.050  ELSEIF       ZCMPI(@Timebase, "100 us/div")
  6.051  MATH         L[1] = 14
  6.052  ELSEIF       ZCMPI(@Timebase, "200 us/div")
  6.053  MATH         L[1] = 15
  6.054  ELSEIF       ZCMPI(@Timebase, "400 us/div") || ZCMPI(@Timebase, "500 us/div")
  6.055  MATH         L[1] = 16
  6.056  ELSEIF       ZCMPI(@Timebase, "1 ms/div")
  6.057  MATH         L[1] = 17
  6.058  ELSEIF       ZCMPI(@Timebase, "2 ms/div")
  6.059  MATH         L[1] = 18
  6.060  ELSEIF       ZCMPI(@Timebase, "4 ms/div")
  6.061  MATH         L[1] = 19
  6.062  ELSEIF       ZCMPI(@Timebase, "5 ms/div")   || ZCMPI(@Timebase, "10 ms/div")
  6.063  MATH         L[1] = 20
  6.064  ELSEIF       ZCMPI(@Timebase, "20 ms/div")
  6.065  MATH         L[1] = 21
  6.066  ELSEIF       ZCMPI(@Timebase, "40 ms/div")  || ZCMPI(@Timebase, "50 ms/div")
  6.067  MATH         L[1] = 22
  6.068  ELSEIF       ZCMPI(@Timebase, "100 ms/div")
  6.069  MATH         L[1] = 23
  6.070  ELSEIF       ZCMPI(@Timebase, "200 ms/div")
  6.071  MATH         L[1] = 24
  6.072  ELSEIF       ZCMPI(@Timebase, "400 ms/div") || ZCMPI(@Timebase, "500 ms/div")
  6.073  MATH         L[1] = 25
  6.074  ELSEIF       ZCMPI(@Timebase, "1 s/div")
  6.075  MATH         L[1] = 26
  6.076  ELSEIF       ZCMPI(@Timebase, "2 s/div")
  6.077  MATH         L[1] = 27
  6.078  ELSEIF       ZCMPI(@Timebase, "4 s/div")    || ZCMPI(@Timebase, "5 s/div")
  6.079  MATH         L[1] = 28
  6.080  ELSE
  6.081  DISP         @Timebase = "[V @Timebase]" unsupported!
  6.082  MATH         @Abort = 1
  6.083  ENDIF

  6.084  JMPL         END                          @Abort

  6.085  MATH         @Cmd = "PV 103," & L[1]
  6.086  CALL         Sub Fluke ScopeMeter Send Command RS-232
  6.087  JMPL         END                          @Abort
  6.088  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  6.089  JMPL         END                          @Abort

  6.090  IF           ZCMPI(@HPos, "2 div")
# Set timebase to desired and horizontal (trigger) position to 2 div by the
# relevant timebase scale.

  6.091  IF           ZCMPI(@Timebase, "1 ns/div")
  6.092  PORT         #0[32][111][0][5][0][0][0][12][247][3][160][113][0][5][255][255][255][254][247][241]
  6.093  ELSEIF       ZCMPI(@Timebase, "2 ns/div")
  6.094  PORT         #0[32][111][0][5][0][0][0][24][247][15][160][113][0][5][255][255][255][252][247][239]
  6.095  ELSEIF       ZCMPI(@Timebase, "5 ns/div")
  6.096  PORT         #0[160][113][0][5][255][255][255][255][248][244]
  6.097  ELSEIF       ZCMPI(@Timebase, "10 ns/div")
  6.098  PORT         #0[160][113][0][5][255][255][255][254][248][243]
  6.099  ELSEIF       ZCMPI(@Timebase, "20 ns/div")
  6.100  PORT         #0[160][113][0][5][255][255][255][252][248][241]
  6.101  ELSEIF       ZCMPI(@Timebase, "40 ns/div")
  6.102  PORT         #0[160][113][0][5][255][255][255][248][248][237]
  6.103  ELSEIF       ZCMPI(@Timebase, "50 ns/div")
  6.104  PORT         #0[160][113][0][5][255][255][255][248][248][237]
  6.105  ELSEIF       ZCMPI(@Timebase, "100 ns/div")
  6.106  PORT         #0[160][113][0][5][255][255][255][254][249][244]
  6.107  ELSEIF       ZCMPI(@Timebase, "200 ns/div")
  6.108  PORT         #0[160][113][0][5][255][255][255][252][249][242]
  6.109  ELSEIF       ZCMPI(@Timebase, "400 ns/div")
  6.110  PORT         #0[160][113][0][5][255][255][255][248][249][238]
  6.111  ELSEIF       ZCMPI(@Timebase, "500 ns/div")
  6.112  PORT         #0[160][113][0][5][255][255][255][248][249][238]
  6.113  ELSEIF       ZCMPI(@Timebase, "1 us/div")
  6.114  PORT         #0[160][113][0][5][255][255][255][254][250][245]
  6.115  ELSEIF       ZCMPI(@Timebase, "2 us/div")
  6.116  PORT         #0[160][113][0][5][255][255][255][252][250][243]
  6.117  ELSEIF       ZCMPI(@Timebase, "4 us/div")
  6.118  PORT         #0[160][113][0][5][255][255][255][248][250][239]
  6.119  ELSEIF       ZCMPI(@Timebase, "5 us/div")
  6.120  PORT         #0[160][113][0][5][255][255][255][248][250][239]
  6.121  ELSEIF       ZCMPI(@Timebase, "10 us/div")
  6.122  PORT         #0[160][113][0][5][255][255][255][254][251][246]
  6.123  ELSEIF       ZCMPI(@Timebase, "20 us/div")
  6.124  PORT         #0[160][113][0][5][255][255][255][252][251][244]
  6.125  ELSEIF       ZCMPI(@Timebase, "40 us/div")
  6.126  PORT         #0[160][113][0][5][255][255][255][248][251][240]
  6.127  ELSEIF       ZCMPI(@Timebase, "50 us/div")
  6.128  PORT         #0[160][113][0][5][255][255][255][248][251][240]
  6.129  ELSEIF       ZCMPI(@Timebase, "100 us/div")
  6.130  PORT         #0[160][113][0][5][255][255][255][254][252][247]
  6.131  ELSEIF       ZCMPI(@Timebase, "200 us/div")
  6.132  PORT         #0[160][113][0][5][255][255][255][252][252][245]
  6.133  ELSEIF       ZCMPI(@Timebase, "400 us/div")
  6.134  PORT         #0[160][113][0][5][255][255][255][248][252][241]
  6.135  ELSEIF       ZCMPI(@Timebase, "500 us/div")
  6.136  PORT         #0[160][113][0][5][255][255][255][248][252][241]
  6.137  ELSEIF       ZCMPI(@Timebase, "1 ms/div")
  6.138  PORT         #0[160][113][0][5][255][255][255][254][253][248]
  6.139  ELSEIF       ZCMPI(@Timebase, "2 ms/div")
  6.140  PORT         #0[160][113][0][5][255][255][255][252][253][246]
  6.141  ELSEIF       ZCMPI(@Timebase, "4 ms/div")
  6.142  PORT         #0[160][113][0][5][255][255][255][248][253][242]
  6.143  ELSEIF       ZCMPI(@Timebase, "5 ms/div")
  6.144  PORT         #0[160][113][0][5][255][255][255][248][253][242]
  6.145  ELSEIF       ZCMPI(@Timebase, "10 ms/div")
  6.146  PORT         #0[160][113][0][5][255][255][255][254][254][249]
  6.147  ELSEIF       ZCMPI(@Timebase, "20 ms/div")
  6.148  PORT         #0[160][113][0][5][255][255][255][252][254][247]
  6.149  ELSEIF       ZCMPI(@Timebase, "40 ms/div")
  6.150  PORT         #0[160][113][0][5][255][255][255][248][254][243]
  6.151  ELSEIF       ZCMPI(@Timebase, "50 ms/div")
  6.152  PORT         #0[160][113][0][5][255][255][255][248][254][243]
  6.153  ELSEIF       ZCMPI(@Timebase, "100 ms/div")
  6.154  PORT         #0[160][113][0][5][255][255][255][254][255][250]
  6.155  ELSEIF       ZCMPI(@Timebase, "200 ms/div")
  6.156  PORT         #0[160][113][0][5][255][255][255][252][255][248]
  6.157  ELSEIF       ZCMPI(@Timebase, "400 ms/div")
  6.158  PORT         #0[160][113][0][5][255][255][255][248][255][244]
  6.159  ELSEIF       ZCMPI(@Timebase, "500 ms/div")
  6.160  PORT         #0[160][113][0][5][255][255][255][248][255][244]
  6.161  ELSEIF       ZCMPI(@Timebase, "1 s/div")
  6.162  PORT         #0[160][113][0][5][255][255][255][254][0][251]
  6.163  ELSEIF       ZCMPI(@Timebase, "2 s/div")
  6.164  PORT         #0[160][113][0][5][255][255][255][252][0][249]
  6.165  ELSEIF       ZCMPI(@Timebase, "4 s/div")
  6.166  PORT         #0[160][113][0][5][255][255][255][248][0][245]
  6.167  ELSEIF       ZCMPI(@Timebase, "5 s/div")
  6.168  PORT         #0[160][113][0][5][255][255][255][248][0][245]
  6.169  ELSE
  6.170  DISP         @Timebase = "[V @Timebase]" unsupported!
  6.171  MATH         @Abort = 1
  6.172  ENDIF

  6.173  JMPL         END                          @Abort

  6.174  ELSEIF       ZCMPI(@HPos, "799 us") && ZCMPI(@Timebase, "1 us/div")
# Specially defined for Timebase Test.
  6.175  PORT         #0[160][113][0][5][0][0][3][31][250][28]

  6.176  ELSEIF       ZCMPI(@HPos, "7990 us") && ZCMPI(@Timebase, "10 us/div")
# Specially defined for Timebase Test.
  6.177  PORT         #0[160][113][0][5][0][0][31][54][250][79]

  6.178  ELSEIF       ZCMPI(@HPos, "1 div") && ZCMPI(@Timebase, "20 us/div")
# Specially defined for Video Test.
  6.179  PORT         #0[160][113][0][5][255][255][255][254][251][246]

  6.180  ELSE
  6.181  DISP         @HPos = "[V @HPos]" unsupported!
  6.182  MATH         @Abort = 1
  6.183  ENDIF

  6.184  JMPL         END                          @Abort

  6.185  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  6.186  ENDIF        ; ZCMPI(@Timebase, "Auto") && ZCMPI(@Range, "Auto")

  6.187  LABEL        END
  6.188  END
