﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 190II Trigger Sens. Adjust RS-232 /O_CAL
DATE:                  2017-09-25 16:05:02
AUTHOR:                Fluke
REVISION:              $Revision: 22060 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       105
CONFIGURATION:         Fluke Ocal
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Models covered:
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504, 190-502
#        Tektronix THS3000 Series Oscilloscopes
#        THS3014, THS3024
#
#  Compatibility:
#        MET/CAL 8.2 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           ZCMPI(@Input, "A")
  1.002  MATH         QueryCmd = "QM 11"
  1.003  ELSEIF       ZCMPI(@Input, "B")
  1.004  MATH         QueryCmd = "QM 21"
  1.005  ELSEIF       ZCMPI(@Input, "C")
  1.006  MATH         QueryCmd = "QM 31"
  1.007  ELSE
  1.008  MATH         QueryCmd = "QM 41"
  1.009  ENDIF

  1.010  MATH         Amplitude = BASE(@Ampl);  Frequency = BASE(@Freq)
# Set number of times to dither output, attempting to trigger.
# Copy desired nominal amplitude to local register for manipulation.
  1.011  MATH         Counter = 4; NewAmpl = Amplitude

  1.012  DO
  1.013  MATH         Counter = Counter - 1
  1.014  O_CAL        Mode = LeveledSine
  1.014  O_CAL        +Voltage = [V NewAmpl] Vpp; Frequency = [V @Freq]
# Check instrument status for "triggered" status in sub (triggered bit is 12).
  1.015  CALL         Sub Fluke ScopeMeter Instrument Status RS-232
  1.016  JMPL         END                          @Abort
# Bit 12 "Triggered"
  1.017  MATH         L[1] = BIT(12, MEM)

  1.018  IF           NOT(L[1])
  1.019  MATH         @Cmd = QueryCmd
  1.020  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  1.021  JMPL         END                          @Abort
# Multiply desired Vpp value times ratio of actual (Vrms converted to Vpp).
  1.022  MATH         NewAmpl = Amplitude * NewAmpl / MEM * 2 * SQRT(2)

  1.023  IF           NewAmpl > 5.5
  1.024  OPBR         -z The amplitude required to achieve
  1.024  OPBR         [V @VertDiv] divisions on the DUT display exceeds
  1.024  OPBR         the capability of the calibrator.
  1.024  OPBR
  1.024  OPBR         Do you wish to retry?

  1.025  IF           MEM1
  1.026  MATH         Counter = 4; NewAmpl = Amplitude
  1.027  ENDIF

  1.028  ENDIF        ; NewAmpl > 5.5

  1.029  IF           Counter < 0
  1.030  DISP         The DUT must be triggered, displaying a stable trace
  1.030  DISP         (some jitter is allowed).
  1.030  DISP         The DUT is triggered if the [V @Input]| in the DUT
  1.030  DISP         status line ("Trig: [V @Input]|") is black.
  1.030  DISP
  1.030  DISP         If not, press the DUT "TRIGGER" key, adjusting the
  1.030  DISP         UUT trigger level (using the up and down arrow keys)
  1.030  DISP         until it is.
  1.031  OPBR         -z Is the DUT triggered?
  1.032  MATH         L[1] = MEM1
# Press "CLEAR" button to close the softkey menu.
  1.033  CALL         Sub Fluke ScopeMeter Press CLEAR RS-232
  1.034  ENDIF

  1.035  ENDIF        ; NOT(L[1])

  1.036  UNTIL        L[1] || (NewAmpl > 5.5) || Counter < 0

  1.037  LABEL        END
  1.038  END
