﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke ScopeMeter Check Acknowledge RS-232
DATE:                  2018-01-24 07:03:26
AUTHOR:                Fluke
REVISION:              $Revision: 20944 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       57
=============================================================================
#
#  Procedure Author:
#        DAC, VY
#
#  Compatibilty:
#        MET/CAL 8.0 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# This procedure checks the Test Tool acknowledge response (0 = OK),
# (>0 = Error). If an abnormal acknowledge response is received from the Test
# Tool, then the error is identified for representation to the operator.

# Read acknowledge response.
  1.001  PORT         [I]
  1.002  MATH         @Abort = (MEM > 0)

  1.003  IF           @Abort

# If Status query is supported, see if additional information is available.
  1.004  IF           ISVAR("@HasStatusCmd")
  1.005  MATH         L[1] = MEM
  1.006  CALL         Sub Fluke ScopeMeter Status RS-232
  1.007  MATH         MEM = L[1]
  1.008  ENDIF

  1.009  CALL         Sub Fluke ScopeMeter Error Message
  1.010  DISP         [V @ErrorMsg]

  1.011  ELSE
  1.012  MATH         @ErrorMsg = ""
  1.013  ENDIF

  1.014  END
