﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke ScopeMeter Display Tests RS-232
DATE:                  2018-02-02 09:24:28
AUTHOR:                Fluke
REVISION:              $Revision: 22480 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       91
=============================================================================
#
#  Procedure Author:
#        DFM, VY, CAD, DAC
#
#  Models covered:
#        Fluke 43, 43B Power Quality Analyzer
#        Fluke 123, 124, 125 ScopeMeter®
#        Fluke 12xB ScopeMeter®
#        Fluke 19x ScopeMeter®
#        Fluke 190 Series II ScopeMeter®
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
# Required Equipment:
#        None
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {BACKLIGHT POWER SAVE}
  1.003  TARGET
  1.004  DISP         Alternately remove and apply the battery charger power,
  1.004  DISP         verifying that the backlight is dimmed when the battery
  1.004  DISP         charger power is removed.
  1.005  EVAL   -s " Backlight dims" : Is the backlight dimmed?

# Bit 6 "Net adapter connected"
  2.001  DO
  2.002  CALL         Sub Fluke ScopeMeter Instrument Status RS-232
  2.003  MATH         L[1] = BIT(6, MEM)

  2.004  IF           NOT(L[1])
  2.005  DISP         Ensure the battery charger is reconnected to the DUT,
  2.005  DISP         then select "Advance" to continue.
  2.006  ENDIF

  2.007  UNTIL        L[1]

  2.008  RSLT         =
  2.009  HEAD         {DISPLAY TESTS}
  2.010  CALL         Sub Fluke ScopeMeter Enter Maintenance RS-232
  2.011  JMPL         END                          @Abort
  2.012  CALL         Sub Fluke ScopeMeter Password RS-232
  2.013  JMPL         END                          @Abort
  2.014  HEAD         -2 Maximum Darkness
  2.015  TARGET
  2.016  MATH         @Cmd = "CL 100"
  2.017  CALL         Sub Fluke ScopeMeter Send Command RS-232
  2.018  PICE         -s " Maximum Darkness" : 19x_max_dark_display.png

  3.001  HEAD         -2 Default Brightness
  3.002  TARGET
  3.003  MATH         @Cmd = "CL 110"
  3.004  CALL         Sub Fluke ScopeMeter Send Command RS-232
  3.005  PICE         -s " Default Brightness" : 19x_default_display.png

  4.001  HEAD         -2 Maximum Brightness
  4.002  TARGET
  4.003  MATH         @Cmd = "CL 120"
  4.004  CALL         Sub Fluke ScopeMeter Send Command RS-232
  4.005  PICE         -s " Maximum Brightness" : 19x_max_bright_display.png

  5.001  LABEL        END
  5.002  HEAD         -2
  5.003  HEAD
  5.004  CALL         Sub Fluke ScopeMeter Enter Operational Mode RS-232
  5.005  END
