﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke ScopeMeter Select Scope Channel RS-232
DATE:                  2018-01-16 14:22:33
AUTHOR:                Fluke
REVISION:              $Revision: 22191 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       84
=============================================================================
#
#  Procedure Author:
#        VY, CAD
#
#  Models covered:
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504, 190-502
#        Tektronix THS3000 Series Oscilloscopes
#        THS3014, THS3024
#
#  Compatibility:
#        MET/CAL 8.2 or later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           ZCMP(@Chan, "A")
  1.002  MATH         SubSettingID = 0
  1.003  ELSEIF       ZCMP(@Chan, "B")
  1.004  MATH         SubSettingID = 1
  1.005  ELSEIF       ZCMP(@Chan, "C")
  1.006  MATH         SubSettingID = 2
  1.007  ELSEIF       ZCMP(@Chan, "D")
  1.008  MATH         SubSettingID = 3
  1.009  ENDIF

# At least one channel must be on.
# Turn on the desired channel before turning others off.
  1.010  MATH         @Cmd = "PV 200," & SubSettingID & ",1"
  1.011  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.012  JMPL         END                          @Abort

  1.013  IF           NOT(ZCMP(@Chan, "A"))
  1.014  MATH         @Cmd = "PV 200,0,0"
  1.015  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.016  JMPL         END                          @Abort
  1.017  ENDIF

  1.018  IF           NOT(ZCMP(@Chan, "B"))
  1.019  MATH         @Cmd = "PV 200,1,0"
  1.020  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.021  JMPL         END                          @Abort
  1.022  ENDIF

  1.023  IF           @NumChan > 2

  1.024  IF           NOT(ZCMP(@Chan, "C"))
  1.025  MATH         @Cmd = "PV 200,2,0"
  1.026  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.027  JMPL         END                          @Abort
  1.028  ENDIF

  1.029  IF           NOT(ZCMP(@Chan, "D"))
  1.030  MATH         @Cmd = "PV 200,3,0"
  1.031  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.032  JMPL         END                          @Abort
  1.033  ENDIF

  1.034  ENDIF

  1.035  LABEL        END
  1.036  END
