﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke ScopeMeter Send Command RS-232
DATE:                  2018-02-02 09:24:28
AUTHOR:                Fluke
REVISION:              $Revision: 22480 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       62
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Compatibility:
#        MET/CAL 8.0 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
# This subprocedure sends the command (in @Cmd) to the DUT then checks the
# acknowledge response (0 = OK), (>0 = Error).
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  DO
  1.002  PORT         [CLR][V @Cmd][I]
  1.003  MATH         Error = (MEM > 0)

  1.004  IF           Error

# If Status query is supported, see if additional information is available.
  1.005  IF           ISVAR("@HasStatusCmd")
  1.006  MATH         L[1] = MEM
  1.007  CALL         Sub Fluke ScopeMeter Status RS-232
  1.008  MATH         MEM = L[1]
  1.009  ENDIF

  1.010  MATH         L[2] = MEM1
  1.011  CALL         Sub Fluke ScopeMeter Error Message
  1.012  OPBR         -z [V @ErrorMsg]
  1.012  OPBR
  1.012  OPBR         Do you wish to resend the command?
  1.013  MATH         Repeat = MEM1; MEM1 = L[2]
  1.014  ELSE
  1.015  MATH         Repeat = 0; @ErrorMsg = ""
  1.016  ENDIF

  1.017  UNTIL        NOT(Repeat)

  1.018  MATH         @Abort = Error
  1.019  END
